#!/bin/env bash

source ./BUILD_ENV.txt

BUILD_HASH=$(git show --pretty=format:%h -s HEAD 2>/dev/null)
BUILD_DATE=$(date "+%Y%m%d%H%M%S")
BUILD_URL=${BUILD_ROOT}/target/version.vsn
BUILD_BRANCH=${BUILD_BRANCH_TYPE}
# don't modify this line
BUILD_BRANCH_NAME=${GIT_BRANCH##*\/}

rm -rf ${BUILD_URL}

if [ "0" = "$?" ]; then
    echo "BUILD_HASH:${BUILD_HASH}" >> ${BUILD_URL}
else
    echo "BUILD_HASH:0000000" >> ${BUILD_URL}
fi

echo "BUILD_DATE:${BUILD_DATE}" >> ${BUILD_URL}
echo "BUILD_BRANCH:${BUILD_BRANCH}" >> ${BUILD_URL}
echo "BUILD_BRANCH_NAME:${BUILD_BRANCH_NAME}" >> ${BUILD_URL}
