package com.jln.ufc.web.action.ufc.bm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.bm.entity.UfcBStandardprocess;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcStandardprocessInfo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcStandprocessQuery;

import java.util.List;

public interface UfcBStandardprocessService extends IService<UfcBStandardprocess> {

    /**
     * 标准工序保存接口
     * @param bStandardprocess
     * @return
     * @throws Exception
     */
    Result saveerp(List<UfcBStandardprocess> bStandardprocess) throws Exception;

    /**
     * 标准工序批量删除接口
     * @param bStandardprocessoids
     * @return
     */
    Result deleteerp(List<Long> bStandardprocessoids);

    Result<Page<UfcStandardprocessInfo>> selectPage(PageParameter<UfcStandprocessQuery> page);
}
