package com.jln.ufc.web.action.ufc.em.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.em.entity.vo.EmEquinfVo;
import com.jln.ufc.web.action.ufc.em.entity.vo.QueryParamVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author: Luca.Liu
 * @date: 2022/3/11
 */
@Component
public interface UfcEmEquinfMapper {


    Page<EmEquinfVo> getList(@Param("emEquinfVoPage") Page<EmEquinfVo> emEquinfVoPage,
                             @Param("data") QueryParamVo data,
                             @Param("list") List<Long> list,
                             @Param("cjlist") List<Long> cjlist
    );

    List<Long> selectCj(Long userId);
}
