package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmOrdersDetail;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcOrdersDetailQueryDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 委托单明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2022-01-05
 */
@Component
public interface UfcLmOrdersDetailMapper extends BaseMapper<UfcLmOrdersDetail> {

    Page<UfcLmOrdersDetail> getDetailPage(Page<Object> page, @Param("query") UfcOrdersDetailQueryDTO data);

    List<UfcLmOrdersDetail> getDetailPage(@Param("query") UfcOrdersDetailQueryDTO data);
}
