package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmOrders;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcOrdersQueryDTO;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcOrdersVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 委托单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2022-01-06
 */
@Component
public interface UfcLmOrdersMapper extends BaseMapper<UfcLmOrders> {

    Page<UfcOrdersVO> selectUfcLmOrdersPage(Page<Object> objectPage, @Param("dto") UfcOrdersQueryDTO dto);

    UfcOrdersVO selectUfcLmOrders(@Param("oid") Long oid);

}
