package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmSampleReceiveDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmSampleReceiveVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 实验室(LM02)样品接收 Mapper 接口
 * </p>
 *
 * @author
 * @since 2021-11-01
 */
@Repository
public interface UfcLmSampleReceiveMapper{


    IPage<UfcLmSampleReceiveVo> getYpjsPage(@Param("page") Page<UfcLmSampleReceiveVo> page, @Param("dto") UfcLmSampleReceiveDto data,
                                            @Param("itcIds") List<Long> itcIds);

}
