package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTestParameter;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcJccsDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcJccsVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 实验室-检测参数维护 Mapper 接口
 * </p>
 *
 * @author gushang
 * @since 2021-08-08
 */
@Component
public interface UfcLmTestParameterMapper extends BaseMapper<UfcLmTestParameter> {

    /**
     * 获取检测参数列表
     * @param page
     * @return
     */
    Page<UfcJccsVo> getjccsList(Page<UfcJccsVo> page, @Param("dto") UfcJccsDto jccsDto);

}
