package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcEmEquinfDto;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTtDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcEmEquinfVo;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmTtVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UfcSingleTaskMapper {

    /**
     * 获取实验任务
     * @return
     */
    Page<UfcLmTtVo> getSingleTaskLsit(Page page, @Param("dto") UfcLmTtDto lmTtDto, @Param("itcIds") List<Long> itcIds);
   

    /**
     * 获取设备选择列表
     * @param page 分页信息
     * @param dto 查询条件
     * @return
     */
    Page<UfcEmEquinfVo> getChooseEmEquinfList(Page page, @Param("dto") UfcEmEquinfDto dto);


}
