package com.jln.ufc.web.action.ufc.lm.pojo.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcChangeOrderDto {

    @ApiModelProperty(value = "送试单转销售订单")
    private Long lmTdsSoOid;

    @ApiModelProperty(value = "送试单主键")
    private Long lmTdsFk;

    @ApiModelProperty(value = "送试单号")
    private String ssdh;

    @ApiModelProperty(value = "客户名称")
    private String khmc;

    @ApiModelProperty(value = "客户编码")
    private String khbm;

    @ApiModelProperty(value = "客户合同号")
    private String khhth;

    @ApiModelProperty(value = "车间编码")
    private String cjbm;

    @ApiModelProperty(value = "车间名称")
    private String cjmc;

    @ApiModelProperty(value = "合同号")
    private String hth;

    @ApiModelProperty(value = "日期")
    private LocalDate rq;

    @ApiModelProperty(value = "交货时间")
    private LocalDateTime jhsj;

    @ApiModelProperty(value = "产品名称/物料名称")
    private String wlmc;

    @ApiModelProperty(value = "规格/物料规格")
    private String wlgg;

    @ApiModelProperty(value = "数量/送试数量")
    private Integer sl;

    @ApiModelProperty(value = "销售类型")
    private String xslx;

    @ApiModelProperty(value = "检验类别")
    private String jylb;

    @ApiModelProperty(value = "销售部门")
    private String xsbm;

    @ApiModelProperty(value = "销售组织")
    private String xszz;

    @ApiModelProperty(value = "销售员")
    private String xsy;

    @ApiModelProperty(value = "销售金额")
    private BigDecimal xsje;
}
