package com.jln.ufc.web.action.ufc.lm.pojo.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class UfcLmTdsslSaveDto {
    @ApiModelProperty(value = " 送试单来源主键")
    private Long lmTdssloid;

    @ApiModelProperty(value = "送试单外键（关联送试单）")
    private Long lmTdsFk;

    @ApiModelProperty(value = "送试单名称")
    private String ssdmc;

    @ApiModelProperty(value = "送试单号")
    private String ssdh;

    @ApiModelProperty(value = "流程卡号")
    private String lckh;
    @ApiModelProperty(value = "客户合同号")
    private String khhth;

    @ApiModelProperty(value = "物料外键")
    private Long wlFk;

    @ApiModelProperty(value = "物料编码（从物料表选择）")
    private String wlbm;

    @ApiModelProperty(value = "物料名称")
    private String wlmc;

    @ApiModelProperty(value = "物料规格")
    private String wlgg;

    @ApiModelProperty(value = "物料图号")
    private String wlth;
    @ApiModelProperty(value = "物料材质")
    private String wlcz;
    @ApiModelProperty(value = "物料计量单位")
    private String jldw;

    @ApiModelProperty(value = "单据类型（Z|直接维护 P|工艺流程卡）")
    private String djlx;

    @ApiModelProperty(value = "源单号")
    private String ydh;

    @ApiModelProperty(value = "批号")
    private String ph;

    @ApiModelProperty(value = "送试数量")
    private Integer sssl;

    @ApiModelProperty(value = "状态（I|初始 F|已提交）")
    private String zt;

    @ApiModelProperty(value = "备注")
    private String bz;
}

