package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2022/1/21 16:09
 * Version:1.0
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ufcLmTestStandard", description="实验室-试验标准--定制返回")
public class UfcLmTestStandard {

    @ApiModelProperty(value = "试验标准主键")
    @TableId
    private Long lmTestStandardoid;
    /**
     * 类型（0：新增/编辑，1：复制）
     */
    @TableField("type")
    private Boolean type;

    @ApiModelProperty(value = "试验标准编码")
    private String sybzbm;

    @ApiModelProperty(value = "标准名称")
    private String bzmc;

    @ApiModelProperty(value = "物料编码（物料表选择带出）")
    private String wlid;

    @ApiModelProperty(value = "物料名称（物料表选择带出）")
    private String wlmc;

    @ApiModelProperty(value = "物料规格型号（物料表选择带出）")
    private String ggxh;

    @ApiModelProperty(value = "图号（物料表选择带出）")
    private String th;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "维护时间")
    private LocalDateTime sysLastUpd;

    @ApiModelProperty(value = "维护人")
    private Long sysLastUpdBy;

    @ApiModelProperty(value = "删除标志")
    private Boolean del;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime sysCreated;

    @ApiModelProperty(value = "创建人")
    private Long sysCreatedBy;

    @ApiModelProperty(value = "试验分类外键（下拉选择）")
    private Long lmTestCategoryFk;

    @ApiModelProperty(value = "客户编码（选择客户带出）")
    private String khbm;

    @ApiModelProperty(value = "客户名称（选择客户带出）")
    private String khmc;

    @TableField("yyffgf")
    @ApiModelProperty(value = "引用方法规范")
    private Boolean yyffgf;

    @TableField("jspd")
    @ApiModelProperty(value = "是否接收判定")
    private Boolean jspd;
    @ApiModelProperty(value = "状态：I|初始，S|审核中，Z|已审核")
    @TableField("zt")
    private String zt;

    @ApiModelProperty(value = "业务分类")
    @TableField(exist = false)
    private String businessClass;


}
