package com.jln.ufc.web.action.ufc.lm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTestItems;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTestItemsDto;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTestItemsQueryDto;

/**
 * <p>
 * 实验室-试验项目维护 服务类
 * </p>
 *
 * @author
 * @since 2021-08-08
 */
public interface UfcLmTestItemsService extends IService<UfcLmTestItems> {

    Result saveOrUpdateLmTestItems(UfcLmTestItemsDto lmTestItemsDto, User user);


    Result pageLmTestItems(PageParameter<UfcLmTestItemsQueryDto> parameter);

    Result selLmTestItemsByoid(String lmTestItemsoid);
}
