package com.jln.ufc.web.action.ufc.lm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTestParameter;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcJccsDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcJccsVo;

/**
 * <p>
 * 实验室-检测参数维护 服务类
 * </p>
 *
 * @author gushang
 * @since 2021-08-08
 */
public interface UfcLmTestParameterService extends IService<UfcLmTestParameter> {

    /**
     * 获取检测参数列表
     * @param pageParameter 分页
     * @return
     */
    Result<Page<UfcJccsVo>> getjccsList(PageParameter<UfcJccsDto> pageParameter);

  

    /**
     * 检测测试--保存
     * @param jccsDto 实体类
     * @return
     */
    Result saveorupdatejccs(UfcJccsDto jccsDto, User user);

  
}
