package com.jln.ufc.web.action.ufc.lm.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTdssl;
import com.jln.ufc.web.action.ufc.lm.mapper.UfcLmTdsslMapper;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTdsslDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmTdsslVo;
import com.jln.ufc.web.action.ufc.lm.service.UfcLmTdsslService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UfcLmTdsslServiceImpl extends ServiceImpl<UfcLmTdsslMapper, UfcLmTdssl> implements UfcLmTdsslService {
    @Autowired
    private UfcLmTdsslMapper lmTdsslMapper;

    @Override
    public Result getLmttByTest(PageParameter<UfcLmTdsslDto> parameter) {
        Page<UfcLmTdsslVo> page = new Page<>(parameter.getPageNum(),parameter.getPageSize());
        IPage<UfcLmTdsslVo> res = lmTdsslMapper.selectLmttList(page,parameter.getData());
        return new Result().toSuccess(res);
    }
}
