package com.jln.ufc.web.action.ufc.pp.service;

import com.jln.common.entity.Result;
import com.jln.ufc.web.action.ufc.pp.pojo.dto.UfcWoBgNumberInfo;

/**
 * 生产订单变更校验
 *
 * @author binbinhan
 * @date 2021-08-02
 */
public interface UfcWobgCheckService {
    /**
     * 查询出当前订单的拆分数据和保留数量（最后一次变更）
     *
     * @param woOid
     * @return
     */
    Result<UfcWoBgNumberInfo> getWoBgNumberInfo(Long woOid);
}
