package com.jln.ufc.web.action.ufc.pp.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.ufc.web.action.ufc.pp.pojo.UfcWogylx;
import com.jln.ufc.web.action.ufc.pp.pojo.dto.UfcWoSelectDto;
import com.jln.ufc.web.action.ufc.pp.pojo.vo.UfcWogylxVo;

/**
 * <p>
 * 生产订单工艺路线 服务类
 * </p>
 *
 * @author 
 * @since 2020-02-19
 */
public interface UfcWogylxService extends IService<UfcWogylx> {
    /**
     * 生产订单工艺路线列表查询
     * @param page
     * @param woSelectDto
     * @return
     */
    Result<UfcWogylxVo> getWogylxList(Page<UfcWogylxVo> page, UfcWoSelectDto woSelectDto);

}
