package com.jln.ufc.web.action.ufc.ps.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcWbRptJobAddDto;
import com.jln.ufc.web.action.ufc.ps.service.UfcPsWbrptService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author
 * @since 2020-02-23
 */
@RestController
@RequestMapping("/ufc/ps/psWbRpt")
@Api(value = "工单反馈--工单汇报", tags = "工单反馈--工单汇报")
public class UfcPsWbrptController {
    @Autowired
    private UfcPsWbrptService psWbrptService;

    @ApiOperation(value = "工单反馈历史查询", notes = "工单反馈历史查询")
    @PostMapping("/getWbRptJobAddDto")
    public Result<Page<UfcWbRptJobAddDto>> getWbRptJobAddDto(@RequestBody PageParameter<Long> parameter){
        return psWbrptService.getWbRptJobAddDto(parameter);
    }
}
