package com.jln.ufc.web.action.ufc.ps.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.Result;
import com.jln.ufc.web.action.ufc.ps.pojo.UfcPsWbout;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcPsMfeedShow;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 
 * @since 2020-02-10
 */
@Component
public interface UfcPsWboutMapper extends BaseMapper<UfcPsWbout> {

    /**
     * 分页查询工位机投料信息数据
     * @param psMfeedShowPage
     * @param psWbFk
     * @param singleton 单件还是批次：当 true的时候绑定方式为单件，当为 false的时候绑定方式为批次
     * @return
     */
    Page<UfcPsMfeedShow> getAnalysisSnPage(Page psMfeedShowPage, @Param("psWbFk") Long psWbFk, @Param("singleton") Boolean singleton);

}
