package com.jln.ufc.web.action.ufc.ps.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.ps.pojo.UfcPsWbrpt;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcWbRptJobAddDto;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcWbUpDto;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcPsWb;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author
 * @since 2020-02-23
 */
@Component("UfcPsWbrptMapper")
public interface UfcPsWbrptMapper extends BaseMapper<UfcPsWbrpt> {

    /**
     * 查询工单反馈数据
     * @param page  分页数据
     * @param wbId  工单外键
     * @return
     */
    Page<UfcWbRptJobAddDto> getWbRptJobAddDto(Page page, @Param("wbId") Long wbId);

    /**
     * 通过反馈明细查询 不合格反馈数据
     * @param psWbrptoid  反馈主键
     * @return
     */
    List<UfcWbUpDto> getWbUpDtoList(@Param("psWbrptoid") Long psWbrptoid);

}
