package com.jln.ufc.web.action.ufc.ps.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.pp.pojo.vo.UfcGdpcQueryVo;
import com.jln.ufc.web.action.ufc.ps.pojo.UfcPsWs;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcPsWsList;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @ClassName:   流程卡相关定制内容
 * @Description:
 * @Author:三刀 Date:2022/1/19 9:28
 * Version:1.0
 **/
@Repository
public interface UfcPsWsMapper extends BaseMapper<UfcPsWs> {

    /**
     * 调整产品：psWsMapper.getpswslist返回结果值
     * @param gdpcVo  查询条件
     * @param objectPage  分页条
     * @return
     */
    Page<UfcPsWsList> getPsWsList(Page<Object> objectPage,@Param("gdpcVo") UfcGdpcQueryVo gdpcVo);

    UfcPsWsList getpswslistoid(@Param("pswsoid") Long pswsoid);

    String getCpph(Long pswboid);
}
