package com.jln.ufc.web.action.ufc.ps.pojo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 作业流程卡号表
 * </p>
 *
 * @author
 * @since 2021-06-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PsProcessCard对象", description="作业流程卡号表")
@TableName("ps_process_card")
public class UfcPsProcessCard extends Model<UfcPsProcessCard> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "作业流程卡号----排程计划号")
    private String processId;

    @ApiModelProperty(value = "前置流程卡号")
    private String beforeProcess;

    @ApiModelProperty(value = "生产订单外键")
    private Long woFk;

    @TableId
    @ApiModelProperty(value = "作业流程表主键")
    private Long zyprocessOid;


    @Override
    protected Serializable pkVal() {
        return this.zyprocessOid;
    }

}
