package com.jln.ufc.web.action.ufc.ps.pojo;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
@TableName("zytl")
public class UfcZytl {

    @ApiModelProperty(value = "工单主键")
    private Long psWboid;

    @ApiModelProperty(value = "作业流程卡号")
    private String processid;

    @ApiModelProperty(value = "下达日期")
    private LocalDate xdrq;

    @ApiModelProperty(value = "车间")
    private String cjmc;

    @ApiModelProperty(value = "生产订单号")
    private String woid;

    @ApiModelProperty(value = "生产线")
    private String scxmc;

    @ApiModelProperty(value = "工段名称")
    private String gdmc;

    @ApiModelProperty(value = "状态")
    private String zt;

    @ApiModelProperty(value = "产品编码")
    private String wlid;

    @ApiModelProperty(value = "产品名称")
    private String mc;

    @ApiModelProperty(value = "产品规格")
    private String gg;

    @ApiModelProperty(value = "技术要求")
    private String jscs;

    @ApiModelProperty(value = "排产数量")
    private BigDecimal pcsl;

    @ApiModelProperty(value = "完工数量")
    private BigDecimal hgsl;

    @ApiModelProperty(value = "入库数量")
    private BigDecimal rksl;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "当前工序编码")
    private String gxid;

    @ApiModelProperty(value = "当前工序名称")
    private String gxmc;

    @ApiModelProperty(example = "GP-GW001",value = "工票号-查询返回的数据")
    private String gpid;

}


