package com.jln.ufc.web.action.ufc.ps.pojo.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDate;

@Data
public class UfcWoQuery {

    @ApiModelProperty(value = "zt")
    private String zt;

    @ApiModelProperty(value = "订单号")
    private String woid;

    @ApiModelProperty(value = "计划开始时间")
    private LocalDate jhkgrq;

    @ApiModelProperty(value = "计划完工时间")
    private LocalDate jhwgrq;

    @ApiModelProperty(value = "产品物料号")
    private String wlid;

    @ApiModelProperty(value = "工位")
    @NotBlank(message = "工位不能为空")
    private String gwfk;

    @ApiModelProperty(value = "物料名称")
    private String wlmc;
}
