package com.jln.ufc.web.action.ufc.ps.pojo.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcQcSampleDto;
import lombok.Data;

import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class UfcInspectionSaveVo {

    /**
     * 检验对象外键
     */
    private Long qcObjoid;

    /**
     * 工票外键
     */
    private Long psWtoid;


    /**
     * bill 是否合格
     */
    private Boolean hg;
    /**
     * 不合格原因编码
     */
    private String bhgyyid;
    /**
     * 不合格原因说明
     */
    private String bhgyy;


    private List<UfcQcSampleDto> qcSampleDtosList;


}
