package com.jln.ufc.web.action.ufc.ps.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class UfcWoView {

    @ApiModelProperty(value = "序号")
    private Integer xh;

    @ApiModelProperty(value = "生产订单主键")
    private Long wooid;

    @ApiModelProperty(value = "订单号")
    private String woid;

    @ApiModelProperty(value = "产品物料编码")
    private String wlid;

    @ApiModelProperty(value = "产品信息")
    private String mc;

    @ApiModelProperty(value = "订单数量")
    private BigDecimal xqsl;

    @ApiModelProperty(value = "计划开始时间")
    private LocalDate jhkgrq;

    @ApiModelProperty(value = "计划完工时间")
    private LocalDate jhwgrq;

    @ApiModelProperty(value = "状态")
    private String zt;
    @ApiModelProperty(value = "紧急程度")
    private String udmc;
}
