package com.jln.ufc.web.action.ufc.ps.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.ps.pojo.UfcPsWbout;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcPsMfeedShow;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2020-02-10
 */
public interface UfcPsWboutService extends IService<UfcPsWbout> {

    /**
     * 通过工单外键，查询刚刚生成过的产出物料信息数据
     * @param psWbFk  工单外键
     * @return
     */
    Result<Page<UfcPsMfeedShow>> getAnalysisSn(PageParameter<Long> psWbFk);

    Result complete(Long psMout, User user);
}
