package com.jln.ufc.web.action.ufc.ps.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.enums.WorkOderEnum;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.pp.pojo.vo.UfcGdpcQueryVo;
import com.jln.ufc.web.action.ufc.ps.pojo.UfcPsWs;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcPsWsList;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcPswSVoData;

import java.util.List;


/**
 * @ClassName:  工单相关定制接口
 * @Description:
 * @Author:三刀 Date:2022/1/17 21:48
 * Version:1.0
 **/
public interface UfcPsWsService extends IService<UfcPsWs> {


    /**
     * 定制工单详情增加返回字段-示例：写法一
     * @param page 查询生产调度列表数据
     * @return
     */
    Result<Page<UfcPsWsList>> getPsWsList(PageParameter<UfcGdpcQueryVo> page);

    /**
     * 定制工单详情增加返回字段-示例：写法一
     * @param page 查询生产调度列表数据
     * @return
     */
    Result<Page<UfcPsWsList>> getPsWsLists(PageParameter<UfcGdpcQueryVo> page);

    /**
     *   生产订单排程接口——生产订单排程详情查看  默认查询oid
     * @param  pswsoid
     * @return
     */
    Result getpswslistoid(Long pswsoid);


    /**
     * 查询当前 流程卡指定状态的的工序数据
     * @param psWsFk
     * @param workOderEnum  流程卡状态
     * @return
     */
    Result<String> getCurrentExecutionProcedure(Long psWsFk, WorkOderEnum workOderEnum, Boolean complete);

    Result getCpph(Long pswboid);

    /**
     *   生产订单排程接口——生产订单排程添加------------辽晶接口
     * @param  pswSVoData
     * @return
     */
    Result addpswsLj(UfcPswSVoData pswSVoData, User user);


    Result getpswsYesBatch(List<Long> list);
}
