package com.jln.ufc.web.action.ufc.ps.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jln.common.entity.PermissionsOnTheEntity;
import com.jln.common.entity.Result;
import com.jln.common.utils.EmptyUtil;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.ps.mapper.UfcZytlMapper;
import com.jln.ufc.web.action.ufc.ps.pojo.UfcZytl;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcWoQuery;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcWoView;
import com.jln.ufc.web.action.ufc.ps.service.UfcZytlService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UfcZytlServiceImpl extends ServiceImpl<UfcZytlMapper, UfcZytl> implements UfcZytlService {

    @Autowired
    private UfcZytlMapper ufcZytlMapper;

    @Override
    public Result<Page<UfcWoView>> getWoPageList(PageParameter<UfcWoQuery> pageParameter, PermissionsOnTheEntity permissionsOnTheEntity) {
        //查询当前工位下的生产订单
        Page<UfcWoView> page = new Page<>(pageParameter.getPageNum(), pageParameter.getPageSize());
        Page<UfcWoView> woViewIPage = ufcZytlMapper.selectWoPageList(page, pageParameter.getData(),permissionsOnTheEntity);
        return new Result().toSuccess(woViewIPage);
    }

}
