package com.jln.ufc.web.action.ufc.qc.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 检验样本扩展表
 * </p>
 *
 * @author 
 * @since 2022-04-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="UfcQcSample对象", description="检验样本扩展表")
@TableName("ufc_qc_bill")
public class UfcHmQcBill extends Model<UfcHmQcBill> {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "检验单主键")
    private Long qcBillOid;

    @ApiModelProperty(value = "工单外键")
    private Long psWbFk;

    @ApiModelProperty(value = "检验状态 0：已专检、 1：未专检")
    private Boolean sfzj;

    @ApiModelProperty(value = "检验方式 S：首检、 Z：专检")
    private char gxJyfs;

    @ApiModelProperty(value = "工序汇报主键")
    private Long psWbrptFk;

    @Override
    protected Serializable pkVal() {
        return this.qcBillOid;
    }

}
