package com.jln.ufc.web.action.ufc.qc.entity.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcRule;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class UfcQcRuleInfo {

    private UfcQcRule qcRule;

    @ApiModelProperty(example = "查询条件", required = true)
    private UfcBMaterialSelectInfo material;

    @ApiModelProperty(example = "查询条件 工厂主键")
    private Long factoryOid;
}
