package com.jln.ufc.web.action.ufc.qc.entity.vo;

import com.jln.common.entity.PswlsxInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UfcQcRuleView extends PswlsxInfo {

    @ApiModelProperty(example = "检验类型编号", required = true,dataType = "string")
    private String jylx;

    @ApiModelProperty(example = "检验类型名称", required = true,dataType = "string")
    private String jylxmc;

    @ApiModelProperty(example = "物料类别编号", required = true,dataType = "string")
    private String piid;

    @ApiModelProperty(example = "物料类别名称", required = true,dataType = "string")
    private String pimc;

    @ApiModelProperty(example = "物料编码")
    private String wlid;

    @ApiModelProperty(example = "物料名称")
    private String wlmc;

    @ApiModelProperty(example = "规格型号")
    private String gg;

    @ApiModelProperty(example = "图号")
    private String th;

    @ApiModelProperty(example = "材质")
    private String cz;

    @ApiModelProperty(example = "计量单位")
    private String jldw;

    @ApiModelProperty(example = "检验标准编号", required = true,dataType = "string")
    private String jybzid;

    @ApiModelProperty(example = "检验标准名称", required = true,dataType = "string")
    private String jybzmc;

    @ApiModelProperty(example = "生产线编号", required = true,dataType = "string")
    private String scxid;

    @ApiModelProperty(example = "生产线名称", required = true,dataType = "string")
    private String scxmc;

    @ApiModelProperty(example = "标准工序编号", required = true,dataType = "string")
    private String bzgxid;

    @ApiModelProperty(example = "标准工序名称", required = true,dataType = "string")
    private String bzgxmc;

    @ApiModelProperty(example = "供应商编号", required = true,dataType = "string")
    private String gysid;

    @ApiModelProperty(example = "供应商名称", required = true,dataType = "string")
    private String gysmc;

    @ApiModelProperty(example = "控制方式", required = true,dataType = "string")
    private String kzfs;

    @ApiModelProperty(example = "单件检验", required = true,dataType = "string")
    private String djjy;

    @ApiModelProperty(example = "检验规程主键", required = true,dataType = "string")
    private String qcRuleoid;

    @ApiModelProperty(example = "启动日期", required = true,dataType = "string")
    private String qyrq;

    @ApiModelProperty(example = "停用日期", required = true,dataType = "string")
    private String tyrq;

    @ApiModelProperty(example = "停用标志", required = true,dataType = "string")
    private Boolean tybz;

    @ApiModelProperty(example = "备注", required = true,dataType = "string")
    private String bz;

    @ApiModelProperty(example = "状态", required = true,dataType = "string")
    private String zt;

    @ApiModelProperty(example = "维护人", required = true,dataType = "string")
    private String whr;

    @ApiModelProperty(example = "检验类型外键", required = true,dataType = "string")
    private Long qcTypeFk;

    @ApiModelProperty(example = "检验标准外键", required = true,dataType = "string")
    private Long qcStdFk;

    @ApiModelProperty(example = "物料外键", required = true,dataType = "string")
    private Long bMaterialFk;
    @ApiModelProperty(value = "物料属性用-物料主键")
    private Long bMaterialoid;

    @ApiModelProperty(example = "生产线外键", required = true,dataType = "string")
    private Long bProductionlineFk;

    @ApiModelProperty(example = "供应商外键", required = true,dataType = "string")
    private Long bSupplierFk;

    @ApiModelProperty(example = "标准工序外键", required = true,dataType = "string")
    private Long bStandardprocessFk;

    @ApiModelProperty(example = "维护日期", required = true,dataType = "string")
    private String whrq;

    /**
     * 文档附件名称
     */
    @ApiModelProperty(example = "文档附件名称",dataType = "string")
    private String cessoryName;

    /**
     * 文档地址
     */
    @ApiModelProperty(example = "文档地址",dataType = "string")
    private String accessoryUrl;

    @ApiModelProperty(example = "组织机构", required = true,dataType = "string")
    private String defaultFactory;

    @ApiModelProperty(example = "通用标志",dataType = "string")
    private Boolean tyRuleBz;

}
