package com.jln.ufc.web.action.ufc.qc.entity.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("批量修改分类对象")
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcUpBatchQcItemClass {

    @ApiModelProperty(value = "检验项目分类外键")
    private Long qcItemClassFk;

    @ApiModelProperty(value = "分类代码")
    private String qcItemClassBarcode;

    @ApiModelProperty(value = "检验项目主键")
    private List<Long> list;
}
