package com.jln.ufc.web.action.ufc.sm.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.system.web.action.sm.sm1001.pojo.vo.EmpListVo;
import com.jln.ufc.web.action.ufc.sm.entity.dto.UfcEmployeeDTO;
import com.jln.ufc.web.action.ufc.sm.service.UfcSysEmployeeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 
 * @since 2020-02-15
 */
@Api(tags = "人员信息",value = "人员信息")
@RestController
@RequestMapping("ufc/sm/employee")
public class UfcSysEmployeeController {
    @Autowired
    private UfcSysEmployeeService sysEmployeeService;

    @ApiOperation(value = "人员行下拉", notes = "人员行下拉")
    @PostMapping("/getList")
    public Result<Page<EmpListVo>> getList(@RequestBody PageParameter<UfcEmployeeDTO> parameter){
       return sysEmployeeService.getlist(parameter);
    }
}
