package com.jln.ufc.web.action.ufc.sm.entity.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2021/11/8 11:33
 * Version:1.0
 **/
@ApiModel(value = "员工表查询接口")
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcEmployeeDTO {


    @ApiModelProperty(value = "员工编码", required = true,dataType = "string")
    private String codeing;

    @ApiModelProperty(value = "员工工号", required = true,dataType = "string")
    private String jobNumber;

    @ApiModelProperty(value = "员工姓名", required = true,dataType = "string")
    private String employeeName;

    @ApiModelProperty(value = "工位主键", required = true,dataType = "string")
    private Long stationId;

}
