#/bin/bash
DIR_NAME=$( cd $(dirname $0)  && pwd)
cd $DIR_NAME
JAR_NAME='mes-master'
#未加密调用方式
nohup java -XX:MetaspaceSize=512m -XX:MaxMetaspaceSize=512m -Xms1024m -Xmx1024m -Xmn512m -Xss512k -XX:SurvivorRatio=8 -XX:+UseG1GC -jar ${DIR_NAME}/${JAR_NAME}.jar > /usr/local/project/logs/mes.log &
#加密调用方式
# nohup java -XX:+DisableAttachMechanism -XX:MetaspaceSize=512m -XX:MaxMetaspaceSize=512m -Xms1024m -Xmx1024m -Xmn512m -Xss512k -XX:SurvivorRatio=8 -XX:+UseG1GC -javaagent:${DIR_NAME}/${JAR_NAME}-encrypted.jar -jar ${DIR_NAME}/${JAR_NAME}-encrypted.jar > /usr/local/project/logs/mes.log &