package com.jln.system.web.action.sm.user.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.system.web.action.sm.sm1001.pojo.vo.EmpListVo;
import com.jln.system.web.action.sm.user.pojo.dto.EmployeeDTO;
import com.jln.system.web.action.sm.user.pojo.vo.EmployeeVo;
import com.jln.system.web.action.sm.user.service.SysEmployeeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 
 * @since 2020-02-15
 */
@Api(tags = "人员信息",value = "人员信息")
@RestController
@RequestMapping("/sm/employee")
public class SysEmployeeController {
    @Autowired
    private SysEmployeeService sysEmployeeService;

    @ApiOperation(value = "人员行下拉", notes = "人员行下拉")
    @PostMapping("/getList")
    public Result<Page<EmpListVo>> getList(@RequestBody PageParameter<EmployeeDTO> parameter){
       return sysEmployeeService.getlist(parameter);
    }

    @ApiOperation(value = "人员行下拉----工位机", notes = "人员行下拉----工位机")
    @PostMapping("/getListGwj")
    public Result<Page<EmpListVo>> getListGwj(@RequestBody PageParameter<String> parameter){
        return sysEmployeeService.getListGwj(parameter);
    }


    @ApiOperation(value = "人员下拉", notes = "人员下拉")
    @PostMapping("/getEmployeeList")
    public Result<Page<EmployeeVo>> getEmployeeList(@RequestBody PageParameter<EmployeeDTO> parameter){
        return sysEmployeeService.getEmployeeList(parameter);
    }
}
