-- 宏明定制的SQL汇总版本---2022.01.26.v1.0
ALTER TABLE `b_material` ADD COLUMN `wloid`  bigint(20) NULL DEFAULT NULL COMMENT 'erp物料主键' AFTER `accessory_url`;
ALTER TABLE `b_material` ADD COLUMN `f_is_kitting`  bit(1) NULL DEFAULT NULL COMMENT '是否关键件' AFTER `wloid`;
ALTER TABLE `b_standardprocess` ADD COLUMN `sszz`  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'erp组织主键' AFTER `special_process`;
ALTER TABLE `b_standardprocessflow` MODIFY COLUMN `sys_last_upd_by`  bigint(20) NULL DEFAULT NULL AFTER `zt`;
ALTER TABLE `b_standardprocessflow` ADD COLUMN `sszz`  varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'erp组织主键' AFTER `b_material_fk`;
ALTER TABLE `b_standardprocessflow` ADD COLUMN `xh`  int(255) NULL DEFAULT NULL COMMENT '序号' AFTER `sszz`;
ALTER TABLE `b_standardprocessflow` ADD COLUMN `gc_code`  int(255) NULL DEFAULT NULL COMMENT '组织编码' AFTER `xh`;
ALTER TABLE `b_standardprocessflowdetail` MODIFY COLUMN `sys_last_upd_by`  bigint(20) NULL DEFAULT NULL AFTER `bz`;
ALTER TABLE `b_supplier` ADD COLUMN `erp_org_id`  bigint(20) NOT NULL AFTER `del`;
ALTER TABLE `lm_tds` ADD COLUMN `pcsl`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '批次数量/送试数量' AFTER `jhwcsj`;
ALTER TABLE `lm_tds` ADD COLUMN `ztyq`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '总体要求' AFTER `pcsl`;
ALTER TABLE `lm_test_standard_detail` MODIFY COLUMN `lm_test_standard_bm`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '试验标准编码（选取）' AFTER `lm_test_standard_fk`;
ALTER TABLE `ps_wt` MODIFY COLUMN `woid`  varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单号' AFTER `woxh`;
CREATE TABLE `sys_resources_copy` (
`sys_resources_id`  bigint(20) NOT NULL COMMENT '菜单主键' ,
`resources_code`  varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单编码' ,
`resources_name`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单名称' ,
`resources_pid`  bigint(20) NULL DEFAULT NULL COMMENT '上级菜单' ,
`icon`  varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '图标-URL地址' ,
`resources_type`  int(11) NULL DEFAULT NULL COMMENT '类型   0：目录   1：菜单   2：按钮' ,
`sort_num`  int(11) NULL DEFAULT 0 COMMENT '排序' ,
`open_mode`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '打开方式' ,
`url`  varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '菜单地址' ,
`del`  int(1) NOT NULL DEFAULT 0 COMMENT '删除标致：0存在，1删除' ,
`button_fk`  bigint(20) NULL DEFAULT NULL COMMENT '按钮样式' ,
`allowediting`  bit(1) NULL DEFAULT b'0' COMMENT '0：不可编辑，1 可以编辑' ,
`configurable`  bit(1) NULL DEFAULT NULL COMMENT '是否可配置菜单' ,
`system_type`  int(11) NULL DEFAULT NULL COMMENT '1:MES系统    2：SCDTA系统' ,
`see_type`  int(11) NULL DEFAULT 0 COMMENT '菜单可见类型（0：所有可见；1：开启三元管理可见；2：关闭三元可见）' ,
`workstation`  bit(1) NULL DEFAULT b'0' COMMENT '0:pc端菜单  1:工位机菜单' ,
`workflow_resources`  bit(1) NULL DEFAULT NULL COMMENT '是否工作流菜单' ,
`bus_table_en_name`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务表英文名' ,
`bus_table_pk_field`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '业务表主键字段' ,
PRIMARY KEY (`sys_resources_id`)
)
ENGINE=InnoDB
DEFAULT CHARACTER SET=utf8 COLLATE=utf8_general_ci
ROW_FORMAT=Dynamic
;
ALTER TABLE `wo` MODIFY COLUMN `b_workshop_fk`  bigint(20) NULL DEFAULT NULL COMMENT '车间外键-取消车间必填' AFTER `b_factory_fk`;
ALTER TABLE `wo` MODIFY COLUMN `feeding_control_mode`  varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL AFTER `release_control_type`;
ALTER TABLE `wo` ADD COLUMN `wloid`  bigint(20) NULL DEFAULT NULL COMMENT 'erp物料主键' AFTER `feeding_control_mode`;
ALTER TABLE `wo` ADD COLUMN `Sfgjj`  bit(1) NULL DEFAULT NULL COMMENT '是否关键件' AFTER `wloid`;
CREATE TABLE `wo_expand` (
`wooid`  varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '订单拓展表主键(orderCode)' ,
`woid`  varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '订单号' ,
`ydid`  varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '源单号-ERP上面的特定值' ,
`ydhh`  int(10) NULL DEFAULT NULL COMMENT 'ERP中的订单行号' ,
`zxbz`  varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '执行标准（执行标准编码）' ,
`erp_xqsl`  decimal(18,3) NULL DEFAULT NULL COMMENT 'ERP需求数量' ,
`ddje`  decimal(18,3) NULL DEFAULT NULL COMMENT '订单金额' ,
`hth`  varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '合同号' ,
`scjhdherId`  int(20) NULL DEFAULT NULL COMMENT '生产计划单号id(erp工序计划单主键)' ,
`ydhId`  int(20) NULL DEFAULT NULL COMMENT '源单号id(erp生成订单主键)' ,
`ydhhId`  int(20) NULL DEFAULT NULL COMMENT '行号id(erp计划单行号主键)' ,
`wlId`  bigint(20) NULL DEFAULT NULL COMMENT '物料id' ,
`Hmjh`  int(20) NULL DEFAULT NULL COMMENT '宏明计划数量' ,
`Erpjh`  int(20) NULL DEFAULT NULL COMMENT 'Erp计划数量' ,
`sys_upd`  datetime NULL DEFAULT NULL COMMENT 'erp更新数据的时候的时间' ,
PRIMARY KEY (`wooid`)
)
ENGINE=InnoDB
DEFAULT CHARACTER SET=utf8 COLLATE=utf8_general_ci
ROW_FORMAT=Dynamic
;
ALTER TABLE `wobom` ADD COLUMN `gxh`  int(11) NULL DEFAULT NULL COMMENT '工序号编码' AFTER `b_standardprocess_fk`;
ALTER TABLE `wobom` ADD COLUMN `gxhid`  int(11) NULL DEFAULT NULL COMMENT '工序号id' AFTER `gxh`;
ALTER TABLE `wobom` ADD COLUMN `gxsxh`  int(11) NULL DEFAULT NULL COMMENT '工序顺序号' AFTER `gxhid`;
ALTER TABLE `wogylx` ADD COLUMN `xh`  int(11) NULL DEFAULT NULL COMMENT '标准工艺路线明细序号' AFTER `bzrs`;
ALTER TABLE `wogylx` ADD COLUMN `Btid`  int(11) NULL DEFAULT NULL COMMENT '表体id' AFTER `xh`;
ALTER TABLE `wogylx` ADD COLUMN `Id`  int(11) NULL DEFAULT NULL COMMENT '工序id号' AFTER `Btid`;
ALTER TABLE `wogylx` ADD COLUMN `Sxh`  int(11) NULL DEFAULT NULL COMMENT '顺序号' AFTER `Id`;
ALTER TABLE `wogylx` ADD COLUMN `Sfsj`  bit(1) NULL DEFAULT NULL COMMENT '是否首检' AFTER `Sxh`;