package com.jln.system.web.action.erp.cron;

import com.jln.system.web.action.erp.material.jopo.dto.ERPMaterialQueryDTO;
import com.jln.system.web.action.erp.material.service.MaterialService;
import com.jln.system.web.action.erp.organization.jopo.dto.ERPOrganizationQueryDTO;
import com.jln.system.web.action.erp.organization.jopo.dto.ERPUserQueryDTO;
import com.jln.system.web.action.erp.organization.service.OrganizationService;
import com.jln.system.web.action.erp.organization.service.UserService;
import com.jln.system.web.action.erp.supplier.service.SupplierService;
import com.jln.system.web.action.util.ERPQueryDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import java.time.LocalDateTime;

/**
 * 定时调用erp接口，一周更新一次
 * @author asus
 */
@Configuration
@EnableScheduling
@Slf4j
public class HmInfoCron {

    @Autowired
    private OrganizationService organizationService;

    @Autowired
    private UserService userService;

    @Autowired
    private MaterialService materialService;

    @Autowired
    private SupplierService supplierService;

    /**
     * 每周一早上9点更新
     */
 /*   @Scheduled(cron = "0 0 9 ? * MON")
    public void HmInfoUpdate(){
        try {
            //获取当前时间并向前推一周做为开始时间，然后更新周数据
            LocalDateTime startTime = LocalDateTime.now().plusWeeks(-1);
            ERPOrganizationQueryDTO query = new ERPOrganizationQueryDTO();
            query.setStartTime(startTime);
            organizationService.syncOrganizations(query);
            ERPUserQueryDTO erpUserQueryDTO = new ERPUserQueryDTO();
            erpUserQueryDTO.setStartTime(startTime);
            userService.syncUsers(erpUserQueryDTO);
            materialService.syncMaterialsClass();
            ERPMaterialQueryDTO erpMaterialQueryDTO = new ERPMaterialQueryDTO();
            erpMaterialQueryDTO.setStartTime(startTime);
            materialService.syncMaterials(erpMaterialQueryDTO);
            supplierService.syncSupplierClass();
            ERPQueryDTO erpQueryDTO = new ERPQueryDTO();
            erpQueryDTO.setStartTime(startTime);
            supplierService.syncSupplier(erpQueryDTO);
        }catch (Exception e){
            log.error(e.getMessage());
        }

    }*/

}
