package com.jln.system.web.action.erp.gxbg.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * erp工序转移扩展表
 * </p>
 *
 * @author 
 * @since 2022-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UfcErpGxzydmx extends Model<UfcErpGxzydmx> {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long ufcErpGxzydmxOid;

    /**
     * 工序转移明细外键
     */
    private Long gxzydmxFk;

    /**
     * 转入供应商编码
     */
    private String inGysid;

    /**
     * 转出供应商编码
     */
    private String outGysid;

    /**
     * erp工序转移编码
     */
    private String erpGxzyid;
    /**
     * erp工序转移转出数量
     */
    private Integer erpZysl;
    /**
     * erp工序转移转出数量
     */
    private Integer erpJssl;

    private Long psWbFk;
    /**
     * erp工序转接收编码
     */
    private String erpGxjsid;

    @Override
    protected Serializable pkVal() {
        return this.ufcErpGxzydmxOid;
    }

}
