package com.jln.system.web.action.erp.gxbg.service;

import com.jln.common.entity.Result;
import com.jln.system.web.action.erp.gxbg.entity.UfcErpGxzydmx;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcGxzyInfo;

/**
 * <p>
 * erp工序转移扩展表 服务类
 * </p>
 *
 * @author 
 * @since 2022-01-19
 */
public interface UfcErpGxzydmxService extends IService<UfcErpGxzydmx> {

    Integer getJudgeZbgx(Long psWbFk);

    Integer selectMesZysl(Long psWbFk, Long gxzydmxoid);

    Integer selectErpZysl(Long woFk,Long wogylxFk);

    Integer selectErpJh(Long woFk);

    /**
     * erp转出数量
     * @param psWbFk
     * @return
     */
    Integer getErpZysl(Long psWbFk);

    /**
     * erp接收数量
     * @param psWbFk
     * @return
     */
    Integer getErpJssl(Long psWbFk);

    Result<UfcGxzyInfo> getProcessRemoval(Long psWboid);

    Result<UfcGxzyInfo> getProcessRollOut(Long psWboid);
}
