package com.jln.system.web.action.erp.material.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 宏明物料扩展表
 * </p>
 *
 * @author 
 * @since 2022-01-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UfcErpBMaterial extends Model<UfcErpBMaterial> {

    private static final long serialVersionUID = 1L;

    /**
     * erp物料扩展表主键
     */
    @TableId
    private Long ufcErpBMaterialOid;

    /**
     * 物料外键
     */
    private Long bMaterialFk;

    /**
     * 物料.PLM执行标准
     */
    private String wlPlmZxbz;

    /**
     * 物料.PLM验收规范
     */
    private String wlPlmYsgf;

    /**
     * 物料.PLM采购标准
     */
    private String wlPlmCgbz;

    /**
     * 物料.PLM项目编号
     */
    private String wlPlmXmbh;

    /**
     * 物料.PLM型号
     */
    private String wlPlmXh;

    /**
     * 物料.项目编号
     */
    private Integer wlXmbh;

    /**
     * 项目.Fnumber
     */
    private String wlXmFunmber;

    /**
     * 物料.HM执行标准
     */
    private Integer wlHmZxbz;

    /**
     * 执行标准.Fnumber
     */
    private String wlHmZxbzFnumber;

    /**
     * 物料.HM验收规范
     */
    private Integer wlHmYsgf;

    /**
     * 验收规范.Fname
     */
    private String wlHmYsgfFname;

    /**
     * 物料.HM采购标准
     */
    private Integer wlHmCgbz;

    /**
     * 采购标准.Fname
     */
    private String wlHmCgbzFname;

    /**
     * 物料.采购标准编码
     */
    private String wlCgbzbm;

    /**
     * 采购标准.Fnumber
     */
    private String wlHmCgbzFnumber;

    /**
     * 物料.验收规范编码
     */
    private String wlYsgfbm;

    /**
     * 验收规范.Fnumber
     */
    private String wlHmYsgfFnumber;


    @Override
    protected Serializable pkVal() {
        return this.ufcErpBMaterialOid;
    }

}
