package com.jln.system.web.action.erp.organization.jopo;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 员工组织关联表
 * </p>
 *
 * @author 
 * @since 2022-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_employee_organize")
@ApiModel(value="SysEmployeeOrganize对象", description="员工组织关联表")
public class UfcSysEmployeeOrganize extends Model<UfcSysEmployeeOrganize> {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "主键")
    private Long sysEmployeeoid;

    @ApiModelProperty(value = "接收人")
    private Long sysOrganizeoid;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
