package com.jln.system.web.action.erp.processroute.pojo.vo;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 产品工艺路线
 */
@Data
public class BProductProcessFlowVo {

    /**
     * 物料编码
     */
    private String CPCode;

    /**
     * 工厂编码
     */
    private String GCCode;

    /**
     * 产品工艺路线编码
     */
    private String CPGYCode;

    /**
     * 产品工艺路线名称
     */
    private String CPGYName;

    /**
     * 产品工艺路线类别编码
     */
    private String CPGYClassCode;

    /**
     * 产品工艺路线类别名称
     */
    private String CPGYClassName;

    /**
     * 版本号
     */
    private String Version;

    /**
     * 更新时间
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sys_upd;

    /**
     * 工序
     */
    private JSONArray gx;
}
