package com.jln.system.web.action.erp.processroute.pojo.vo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import lombok.Data;

/**
 * 工序
 */
@Data
public class GxVo {

    /**
     * 工序编码
     */
    private String GXID;

    /**
     * 工序名称
     */
    private String GXName;

    /**
     * 工序类型
     */
    private String GXLX;

    /**
     * 标准工序
     */
    private String BZGX;

    /**
     *顺序号（工序）
     */
    private String XH;

    /**
     *上料工序
     */
    private Boolean SLGX;

    /**
     *下料工序
     */
    private Boolean XLGX;

    /**
     *经过本工序（报工）
     */
    private Boolean BGGX;

    /**
     *首检工序
     */
    private Boolean SJGX;

    /**
     *测试
     */
    private Boolean CSGX;

    /**
     *关键工序
     */
    private Boolean GJGX;

    /**
     *特殊过程
     */
    private Boolean TSGX;

    /**
     * 工艺参数
     */
    private JSON ProcessParameters;

    /**
     * 工序物料清单
     */
    private JSONArray GXWLList;
}
