package com.jln.system.web.action.erp.supplier.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 供应商
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName(value = "b_supplier")
public class Supplier extends Model<Supplier> {

    private static final long serialVersionUID = 1L;
    @TableId(value = "b_supplieroid", type = IdType.INPUT)
    private Long bSupplieroid;

    /**
     * 供应商编码
     */
    private String gysid;

    /**
     * 供应商名称
     */
    private String mc;

    /**
     * 供应商简称
     */
    private String jc;

    /**
     * 供应商分类
     */
    private String fl;

    /**
     * 所属组织内码
     */
    private Long erpOrgId;

    /**
     * 维护时间
     */
    private LocalDateTime sysLastUpd;

    /**
     * 维护人
     */
    private Long sysLastUpdBy;
    /**
     * 组织名称
     */
    @TableField(exist = false)
    private String organizeName;

    @Override
    protected Serializable pkVal() {
        return this.bSupplieroid;
    }

}
