package com.jln.system.web.action.erp.ufcpswb.entity.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jln.common.entity.AuthorityEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcWoSelectDto extends AuthorityEntity {

    @ApiModelProperty(example = "生产订单主键", required = true,dataType = "string")
    private Long wooid;

    @ApiModelProperty(example = "工序名称", required = true,dataType = "string")
    private String gxmc;

    @ApiModelProperty(example = "工序编码", required = true,dataType = "string")
    private String gxbm;

    @ApiModelProperty(example = "关键工序", required = true,dataType = "string")
    private String gjgx;

    @ApiModelProperty(example = "工序类型", required = true,dataType = "string")
    private String gxlx;

}
