package com.jln.system.web.action.erp.ufcpswb.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jln.common.constant.LocalDateTimeConst;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2021/6/16 10:01
 * Version:1.0
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "GxzyInfo",description="通过工单外键查询，工序转移数据信息")
public class UfcGxzyInfo {

    @ApiModelProperty(value = "转移数量")
    private BigDecimal zysl;

    @ApiModelProperty(value = "接收人名称")
    private String employeeName;

    @ApiModelProperty(value = "接收人名称")
    private String codeing;

    @ApiModelProperty(value = "接收时间")
    @JsonFormat(pattern = LocalDateTimeConst.DATE_TIME_PATTERN)
    private LocalDateTime ywrq;

    @ApiModelProperty(value = "工序编码")
    private String gxid;

    @ApiModelProperty(value = "工序名称")
    private String gxmc;

    @ApiModelProperty(value = "接收数量")
    private BigDecimal jssl;
}
