package com.jln.system.web.action.erp.ufcpswb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.system.web.action.erp.ufcpswb.entity.UfcWobom;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcWoSelectDto;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcCcsnVo;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcGwjVo;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcGwjVo;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcWobomVo;
import com.jln.system.web.action.pp.planImport.pojo.dto.WoSelectDto;
import com.jln.system.web.action.pp.proPrepare.pojo.vo.WobomVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 生产订单物料清单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2020-02-20
 */
@Component("UfcWobomMapper")
public interface UfcWobomMapper extends BaseMapper<UfcWobom> {

    List<UfcWobomVo> getWobomList(Page<UfcWobomVo> page, @Param("woSelectDto") UfcWoSelectDto woSelectDto);

    Boolean getSfjygx(@Param("wbOid") String wbOid);

    UfcCcsnVo getCcsn(@Param("wbOid") String wbOid);

    String getJybzmc(UfcGwjVo ufcGwjVo);

    String getTygcmc( @Param("ufcGwjVo")UfcGwjVo ufcGwjVo);
}
