package com.jln.system.web.action.erp.wo.controller;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jln.common.annotation.LoginUser;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.system.web.action.erp.wo.pojo.WoInitDto;
import com.jln.system.web.action.erp.wo.service.UfcErpProductService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/erp/product")
@Api(tags = "订单部分-在制品统计查询", description = "订单部分-在制品统计查询")
public class UfcErpProductController {

    @Autowired
    private UfcErpProductService ufcErpProductService;

    @ApiOperation(value = "查询开工数量", notes = "查询开工数量")
    @GetMapping("/getStartWorkNumber")
    public Result getStartWorkNumber(@RequestParam String woid){
        return ufcErpProductService.getStartWorkNumber(woid);
    }

}
