package com.jln.system.web.action.erp.wo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author 
 * @since 2021-10-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WoExpand extends Model<WoExpand> {

    private static final long serialVersionUID = 1L;

    /**
     * 订单拓展表主键
     */
    @TableId(value = "wooid")
    private Long wooid;

    /**
     * 订单号
     */
    private String woid;

    /**
     * 源单号-ERP上面的特定值
     */
    private String ydid;

    /**
     * ERP中的订单行号
     */
    private Integer ydhh;

    /**
     * 执行标准
     */
    private String zxbz;

    /**
     * 订单金额
     */
    private BigDecimal ddje;

    /**
     * erp更新数据的时候的时间
     */
    private LocalDateTime sysUpd;

    /**
     * 2021-12-1 新增字段
     */
    @ApiModelProperty(value = "生产计划单号id(erp工序计划单主键)")
    @TableField(value = "scjhdherId")
    private Integer scjhdherId;
    @ApiModelProperty(value = "源单号id(erp生成订单主键)")
    @TableField(value = "ydhId")
    private Integer ydhId;
    @ApiModelProperty(value = "行号id(erp计划单行号主键)")
    @TableField(value = "ydhhId")
    private Integer ydhhId;
    @ApiModelProperty(value = "客户合同号",example = "客户合同号")
    private String Hth;
    @ApiModelProperty(value = "物料id")
    @TableField(value = "wlId")
    private Long wlId;
    @ApiModelProperty(value = "宏明计划数量")
    private Integer Hmjh;
    @ApiModelProperty(value = "Erp计划数量")
    private Integer Erpjh;


    @Override
    protected Serializable pkVal() {
        return this.wooid;
    }

}
