package com.jln.system.web.action.erp.wo.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "UfcErpProductDetailVo",description = "在制品统计查询返回实体明细")
public class UfcErpProductDetailVo {

    @ApiModelProperty(value = "行号id(erp计划单行号主键)")
    private Integer ydhhId;


    @ApiModelProperty(value = "工序id")
    private String gxid;

    @ApiModelProperty(value = "工序名称")
    private String gxmc;

    @ApiModelProperty(value = "开工数量")
    private BigDecimal kgsl;

    @ApiModelProperty(value = "在制数量")
    private BigDecimal zzsl;

    @ApiModelProperty(value = "HM在制数量")
    private BigDecimal hmzzsl;


}
