package com.jln.system.web.action.erp.wo.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "UfcErpProductMainVo",description = "在制品统计查询返回实体主体")
public class UfcErpProductMainVo {

    /**
     * 源单号-ERP上面的特定值
     */
    private String ydid;

    /**
     * ERP中的订单行号
     */
    private Integer ydhh;

    /**
     * 订单号
     */
    private String woid;

    @ApiModelProperty(value = "生产计划单号id(erp工序计划单主键)")
    private Integer scjhdherId;

    @ApiModelProperty(value = "Erp计划数量")
    private Integer Erpjh;

    @ApiModelProperty(value = "宏明计划数量")
    private Integer Hmjh;

    @ApiModelProperty(value = "在制品统计查询返回明细")
    private List<UfcErpProductDetailVo> ufcErpProductDetailVo;

}
