package com.jln.system.web.action.mes.organize.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 组织表
 * </p>
 *
 * @author 
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysOrganize extends Model<SysOrganize> {

    private static final long serialVersionUID = 1L;

    /**
     * 组织机构主键
     */
    @TableId
    private Long sysOrganizeId;

    /**
     * 组织机构编码
     */
    private String organizeCode;

    /**
     * 组织机构名称
     */
    private String organizeName;

    /**
     * 组织联系号码
     */
    private String orgnizeIphone;

    /**
     * 排序号
     */
    private Integer sort;

    /**
     * 是否在启用
     */
    private Integer activeFlag;

    /**
     * 组织父级id
     */
    private Long orgnizePid;

    /**
     * 删除，0存在，1删除
     */
    private Integer del;

    /**
     * 是否单位
     */
    private Integer unit;

    /**
     * 描述
     */
    private String describes;

    /**
     * 传真号
     */
    private String faxNumber;

    /**
     * 是否末级
     */
    private Integer finalStage;

    /**
     * 层次码
     */
    private String classCode;

    /**
     *
     */
    private String Sfzz;

    /**
     *
     */
    private String Sfscbm;

    @Override
    protected Serializable pkVal() {
        return this.sysOrganizeId;
    }

}
