package com.jln.system.web.action.mes.organize.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author 
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysOrganizeErp extends Model<SysOrganizeErp> {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long oid;

    /**
     * MES组织机构主键
     */
    private Long sysOrganizeId;

    /**
     * ERP组织机构主键
     */
    private Long fOrgId;

    /**
     * 组织机构编码
     */
    private String organizeCode;

    /**
     * 组织形态：101|总公司，102|公司，103|工厂，104|事业部，105|分公司，106|办事处，107|部门，108|其他，1|工厂，2|车间，3|生产线，4|工段，5|工位
     */
    private String organizeType;

    /**
     * erp更新时间
     */
    private LocalDateTime sysUpd;

    /**
     * MES工厂主键
     */
    @TableField(exist = false)
    private Long bFactoryoid;
    /**
     * MES车间主键
     */
    @TableField(exist = false)
    private Long bWorkshopoid;

    @Override
    protected Serializable pkVal() {
        return this.oid;
    }

}
