package com.jln.system.web.action.mes.qc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.system.web.action.mes.qc.entity.StorageNotice;
import com.jln.system.web.action.mes.qc.entity.dto.NoticeListDTO;
import com.jln.system.web.action.mes.qc.entity.vo.StorageNoticeVO;
import org.mapstruct.Mapper;
import org.springframework.data.repository.query.Param;

import java.util.List;

@Mapper
public interface StorageNoticesMapper extends BaseMapper<StorageNotice> {

    Integer getSerialNumber(@Param(value = "time") String time);

    Page<NoticeListDTO> getRecords(Page page,@Param("data") StorageNoticeVO data);

    List<Long> getFactoryIds(@Param(value = "employeeOid")Long employeeOid);

    List<Long> getWorkShopIds(@Param(value = "employeeOid")Long employeeOid);


}
