package com.jln.system.web.action.mes.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jln.system.web.action.mes.user.entity.SysEmployee;
import com.jln.system.web.action.mes.user.entity.SysUser;
import com.jln.system.web.action.mes.user.entity.SystemEmployee;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 员工表（MES） Mapper 接口
 * </p>
 *
 * @author 
 * @since 2021-10-26
 */

public interface SysEmployeeMapper1 extends BaseMapper<SysEmployee> {

    int updateBatch(@Param("sysEmployeesUpdate") List<SysEmployee> sysEmployeesUpdate);

    int updateBatchSystemEmployees(@Param("systemEmployeesUpdate")List<SystemEmployee> systemEmployeesUpdate);

    int updateBatchSysUser(@Param("sysUsersUpdate")List<SysUser> sysUsersUpdate);

    List<SysEmployee> selectAll();

    int delSysUser(Long userId);

    int delSystemEmployees(Long userId);

    int delSysEmployees(Long userId);

    int delEmployeesOrganize(Long userId);
}
