-- ----------------------------
-- Table structure for wo_expand
-- ----------------------------
DROP TABLE IF EXISTS `sys_organize_erp`;
CREATE TABLE `sys_organize_erp` (
                                    `oid` bigint(20) NOT NULL,
                                    `sys_organize_id` bigint(20) DEFAULT NULL COMMENT 'MES组织机构主键',
                                    `f_org_id` bigint(20) DEFAULT NULL COMMENT 'ERP组织机构主键',
                                    `organize_code` varchar(36) DEFAULT NULL COMMENT '组织机构编码',
                                    `organize_type` varchar(10) DEFAULT NULL COMMENT '组织形态：101|总公司，102|公司，103|工厂，104|事业部，105|分公司，106|办事处，107|部门，108|其他，1|工厂，2|车间，3|生产线，4|工段，5|工位',
                                    `sys_upd` datetime DEFAULT NULL COMMENT 'erp更新时间',
                                    PRIMARY KEY (`oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;