#!/bin/env bash

if [ $# -ne 2 ]; then
  echo "参数错误: $#"
  exit 1
else
  TARGET_ROOT=$1
  BRANCH_NAME=$2
  source ./BUILD_ENV.txt

  cp -rf ${BUILD_ROOT}/doc ${TARGET_ROOT}
  cp -rf ${BUILD_ROOT}/script ${TARGET_ROOT}/script-sample
  # copy file folder
  cp -rf ${BUILD_ROOT}/../file ${TARGET_ROOT}
  # copy project jar package
  cp -rf ${BUILD_ROOT}/target/*.jar ${TARGET_ROOT}
  # copy project version file
  cp -rf ${BUILD_ROOT}/target/*.vsn ${TARGET_ROOT}
  mkdir -p ${TARGET_ROOT}/properties-sample
  if [ $BRANCH_NAME = "stage" ]; then
    cp -rf ${BUILD_ROOT}/target/classes/application-stage.properties ${TARGET_ROOT}/properties-sample/application-stage.properties
  elif [ $BRANCH_NAME = "master" ]; then
    cp -rf ${BUILD_ROOT}/target/classes/application-master.properties ${TARGET_ROOT}/properties-sample/application-master.properties
  else
    echo "branch name error : $BRANCH_NAME"
    exit 1
  fi
fi
exit 0