package com.jln.ufc.web.action.entity;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jln.common.annotation.jurisdictionAnnotation.ParametersLoading;
import io.swagger.annotations.ApiModel;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author: Luca.Liu
 * @date: 2022/1/12
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Accessors(chain = true)
@ApiModel(value = "权限封装对象")
public class LaboratoryPermissions {

    /**
     * 业务分类List
     */
    @ParametersLoading(value = "SYGL001",describe = "用户可操作的实验业务分类")
    private List<Long> ufcLmBusinessTypeIds;

    public List<Long> getUfcLmBusinessTypeIds() {
        return ufcLmBusinessTypeIds;
    }

    public void setUfcLmBusinessTypeIds(List<Long> ufcLmBusinessTypeIds) {
        this.ufcLmBusinessTypeIds = ufcLmBusinessTypeIds;
    }
}
