package com.jln.ufc.web.action.ufc.bm.controller;

import com.jln.common.annotation.LoginUser;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.ufc.web.action.ufc.bm.entity.UfcBStandardprocessflow;
import com.jln.ufc.web.action.ufc.bm.service.UfcBStandardprocessflowService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Api(tags = "标准工艺路线维护")
@RestController
@RequestMapping("/bm/ucfBsf")
public class UfcBStandardprocessflowController {

    @Autowired
    private UfcBStandardprocessflowService ufcBStandardprocessflowService;

    @ApiOperation(value = "标准工艺路线保存接口",notes="标准工艺路线保存接口")
    @PostMapping("/saveerp")
    public Result saveerp(@RequestBody List<UfcBStandardprocessflow> bStandardprocessflow, @LoginUser User user)  {
        return ufcBStandardprocessflowService.saveerp(bStandardprocessflow,user);
    }

    @ApiOperation(value = "标准工序批量删除接口",notes="标准工序批量删除接口")
    @PostMapping("/deleteerp")
    public Result deleteerp(@RequestBody List<Long> bStandardprocessflowoids) {
        return ufcBStandardprocessflowService.deleteerp(bStandardprocessflowoids);
    }

}
