package com.jln.ufc.web.action.ufc.bm.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author
 * @since 2020-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("b_supplier")
public class UfcBSupplier extends Model<UfcBSupplier> {

    private static final long serialVersionUID = 1L;
    @TableId(value = "b_supplieroid", type = IdType.INPUT)
    private Long bSupplieroid;

    /**
     * 供应商编码
     */
    private String gysid;

    /**
     * 供应商名称
     */
    private String mc;

    /**
     * 供应商简称
     */
    private String jc;

    /**
     * 英文名称
     */
    private String ywmc;

    /**
     * 地址
     */
    private String dz;

    /**
     * 电话
     */
    private String tel;

    /**
     * 传真
     */
    private String fax;

    /**
     * e-mail
     */
    private String email;

    /**
     * 开户行
     */
    private String yh;

    /**
     * 银行账号
     */
    private String yhzh;

    /**
     * 税号
     */
    private String sh;

    /**
     * 法人代表
     */
    private String frdb;

    /**
     * 联系人
     */
    private String lxr;

    /**
     * 货币
     */
    private String hbid;

    /**
     * 地区
     */
    private String dq;

    /**
     * 采购员
     */
    private String cgy;

    /**
     * abc分类
     */
    private String abc;

    /**
     * 供应商分类
     */
    private String fl;

    /**
     * 供应商类型
     */
    private String gyslx;

    /**
     * 冻结
     */
    private Boolean dj;

    /**
     * 状态
     */
    private String zt;

    /**
     * 维护人
     */
    private Long sysLastUpdBy;

    /**
     * 维护时间
     */
    private LocalDateTime sysLastUpd;

    /**
     * 删除标记
     */
    private Integer del;

    /**
     * 是否检测试验供应商
     */
    private Boolean ufcJesygys;
    /**
     * 组织编码
     */
    @ApiModelProperty(example = "false", value = "组织名称")
    private Long erpOrgId;

    @Override
    protected Serializable pkVal() {
        return this.bSupplieroid;
    }

}
