package com.jln.ufc.web.action.ufc.bm.entity.dto;

import com.jln.common.entity.AuthorityEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2020/8/23 10:54
 * Version:1.0
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="物料查询-分页查询--page", description="物料查询-分页查询--page")
public class UfcMaterialPageDto extends AuthorityEntity {

    @ApiModelProperty(value = "物料编码",example = "0001")
    private String wlid;

    @ApiModelProperty(value = "物料名称",example = "电脑")
    private String mc;

    @ApiModelProperty(value = "规格型号",example = "GG")
    private String gg;

    @ApiModelProperty(value = "物料关联属性组",example = "物料关联属性组")
    private Long propertyGroupFk;

    @ApiModelProperty(value = "批号属性组",example = "批号属性组")
    private Long batchGroupFk;

    @ApiModelProperty(value = "工厂名称",example = "工厂名称")
    private String defaultFactory;
}
