package com.jln.ufc.web.action.ufc.bm.entity.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcStandprocessQuery {

    @ApiModelProperty(example = "工序编码：1001", required = true,dataType = "string")
    private String gxid;

    @ApiModelProperty(example = "工序名称：测试工序", required = true,dataType = "string")
    private String gxmc;

    @ApiModelProperty(example = "节点主键", required = true)
    private Long nodePrimaryKey;
    @ApiModelProperty(example = "使用组织")
    private String sszz;
}
