package com.jln.ufc.web.action.ufc.bm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jln.ufc.web.action.ufc.bm.entity.UfcBMaterialPropertyGroup;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcWoBindWlVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcWoWlsxVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
public interface UfcBMaterialPropertyGroupMapper extends BaseMapper<UfcBMaterialPropertyGroup> {

    /**
     * 生产订单维护接口—获取生产订单绑定物料信息接口
     * @param woFk
     * @return
     */
    UfcWoWlsxVo getWoWlsx(@Param("woFk") Long woFk);


    /**
     *
     * @param woFk
     * @param type
     * @return
     */
    List<UfcWoBindWlVo> getWoWlsxzList(@Param("woFk") Long woFk, @Param("type") String type);
    
}
