package com.jln.ufc.web.action.ufc.bm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.bm.entity.UfcBSupplier;
import com.jln.ufc.web.action.ufc.bm.entity.dto.UfcBSupplierFl;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBSupplierInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * @author: Luca.Liu
 * @date: 2022/2/28
 */
@Component
public interface UfcBSupplierMapper extends BaseMapper<UfcBSupplier> {

    UfcBSupplierInfo getbyoid(Long oid);

    Page<UfcBSupplierInfo> getlist(Page<Object> objectPage, @Param("data") UfcBSupplierFl data);
}
