package com.jln.ufc.web.action.ufc.bm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.BMaterialGorupItemVo;
import com.jln.common.entity.WlsxInfo;
import com.jln.ufc.web.action.ufc.bm.entity.UfcJcBMaterial;
import com.jln.ufc.web.action.ufc.bm.entity.dto.UfcMaterialPageDto;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialInfo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectCopyVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectInfoVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialView;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public interface UfcJcBMaterialMapper extends BaseMapper<UfcJcBMaterial> {

    Page<UfcBMaterialSelectVo> queryList(Page<UfcBMaterialSelectVo> page, @Param("dto") UfcBMaterialSelectCopyVo bMaterialSelectVo);

    Page<UfcBMaterialInfo> queryByGcidList(Page<Object> objectPage, @Param("data") UfcMaterialPageDto wlmc);

    /**
     * 通过物料主键查询物料属性信息
     * @param wlfk
     * @return
     */
    WlsxInfo getWlsx(@Param("wlfk") Long wlfk);

    List<BMaterialGorupItemVo> getWlsxzList(@Param("wlfk") Long wlfk, @Param("type") String type);

    List<UfcBMaterialView> getBMaterialList(@Param("page") Page<UfcBMaterialView> page, @Param("bMaterialSelectInfo") UfcBMaterialSelectInfoVo bMaterialSelectInfo);



}
