package com.jln.ufc.web.action.ufc.bm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.bm.entity.UfcBMaterial;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectCopyVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectVo;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author
 * @since 2020-02-12
 */
public interface UfcBMaterialService extends IService<UfcBMaterial> {

    /**
     * 物料编码，名称，规格，图号等信息查询物料,分类名称，编码
     *
     * @param query
     * @return
     */
    Result<Page<UfcBMaterialSelectVo>> selectList(PageParameter<UfcBMaterialSelectCopyVo> query);
}
