package com.jln.ufc.web.action.ufc.bm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.bm.entity.UfcBSupplier;
import com.jln.ufc.web.action.ufc.bm.entity.dto.UfcBSupplierFl;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBSupplierInfo;

/**
 * @author: Luca.Liu
 * @date: 2022/2/28
 */
public interface UfcBSupplierService extends IService<UfcBSupplier> {


    /**
     * 保存供应商设置
     * @param bSupplierInfo 供应商设置
     * @return
     */
    Result save(UfcBSupplierInfo bSupplierInfo, User user);

    /**
     * 通过主键查询供应商设置信息
     * @param oid 供应商设置主键
     * @return
     */
    Result getbyoid(Long oid);

    Result selectPage(PageParameter<UfcBSupplierFl> page);
}
