package com.jln.ufc.web.action.ufc.bm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.WlsxInfo;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.bm.entity.UfcJcBMaterial;
import com.jln.ufc.web.action.ufc.bm.entity.dto.UfcMaterialPageDto;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialInfo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectCopyVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectInfoVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialSelectVo;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialView;

public interface UfcJcBMaterialService extends IService<UfcJcBMaterial> {

    /**
     * 物料信息下拉框查询
     * @param query
     * @return
     */
    Result<Page<UfcBMaterialSelectVo>> queryList(PageParameter<UfcBMaterialSelectCopyVo> query);

    Result<Page<UfcBMaterialInfo>> queryByGcidList(PageParameter<UfcMaterialPageDto> query);

    /**
     * 物料属性查询-通过物料主键查询物料属性信息
     * @param wlfk
     * @return
     */
    Result<WlsxInfo> getWlsx(Long wlfk);

    Result<Page<UfcBMaterialView>> getBMaterialList(Page<UfcBMaterialView> page, UfcBMaterialSelectInfoVo bMaterialSelectInfo);
}
