package com.jln.ufc.web.action.ufc.em.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 作业反馈设备管理关联表
 * </p>
 *
 * @author 
 * @since 2022-05-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="UfcEmEqucod对象", description="作业反馈设备管理关联表")
@TableName("ufc_em_equcod")
public class UfcEmEqucodPsWbrpt extends Model<UfcEmEqucodPsWbrpt> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "作业反馈设备管理主键")
    @TableId
    private Long psWbrptEqucodoid;

    @ApiModelProperty(value = "作业反馈外键")
    private Long psWbrptFk;

    @ApiModelProperty(value = "设备外键")
    private Long emEqucodoidFk;


    @Override
    protected Serializable pkVal() {
        return this.psWbrptEqucodoid;
    }

}
