package com.jln.ufc.web.action.ufc.lm.controller;


import com.jln.common.annotation.ApplyForPermission;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmSampleReceiveDto;
import com.jln.ufc.web.action.ufc.lm.service.UfcLmSampleReceiveService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 实验室(LM02)样品接收 前端控制器
 * </p>
 *
 * @author
 * @since 2021-11-01
 */
@Api(tags = "试验管理-样品接收--定制接口")
@RestController
@RequestMapping("/ufc/lm/lm0206/yp")
public class UfcLmSampleReceiveController {
    @Autowired
    private UfcLmSampleReceiveService lmSampleReceiveService;

    @ApplyForPermission
    @ApiOperation(value = "样品接收列表分页查询", notes = "样品接收列表分页查询 ")
    @PostMapping("/getYpjsPage")
    public Result getYpjsPage(@RequestBody PageParameter<UfcLmSampleReceiveDto> lmtdsDto) {
        return lmSampleReceiveService.getYpjsPage(lmtdsDto);
    }

}
