package com.jln.ufc.web.action.ufc.lm.controller;


import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTdsslDto;
import com.jln.ufc.web.action.ufc.lm.service.UfcLmTdsslService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 实验室(LM02)-送试单来源 前端控制器
 * </p>
 *
 * @author 
 * @since 2021-08-31
 */
@RestController
@RequestMapping("/ufc/lm/lm02/lm0201")
@Api(tags = "送试单来源")
public class UfcLmTdsslController {

    @Autowired
    private UfcLmTdsslService lmTdsslService;

    @ApiOperation(value = "送试单主键-分页查询-送试单来源", notes = "根据送试单主键查询-送试单来源")
    @PostMapping("/pageLmttByTest")
    public Result getLmttByTest(@RequestBody PageParameter<UfcLmTdsslDto> parameter) {
        return lmTdsslService.getLmttByTest(parameter);
    }
}
