package com.jln.ufc.web.action.ufc.lm.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 试验标准扩展表
 * </p>
 *
 * @author 
 * @since 2021-12-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="UfcErpLmTestStandard对象", description="试验标准扩展表")
public class UfcErpLmTestStandard extends Model<UfcErpLmTestStandard> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "试验标准主键")
    private Long lmTestStandardOid;

    @ApiModelProperty(value = "业务分类")
    private String businessClass;


    @Override
    protected Serializable pkVal() {
        return this.lmTestStandardOid;
    }

}
