package com.jln.ufc.web.action.ufc.lm.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author 
 * @since 2022-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UfcLmBusinessType extends Model<UfcLmBusinessType> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "业务分类主键")
    @TableId
    private Long ufcLmBusinessTypeOid;

    @ApiModelProperty(value = "业务分类编号")
    private String ufcLmBusinessCode;

    @ApiModelProperty(value = "业务分类名称")
    private String ufcLmBusinessName;

    @ApiModelProperty(value = "维护时间")
    private LocalDateTime sysLastUpd;

    @ApiModelProperty(value = "维护人")
    private Long sysLastUpdBy;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime sysCreated;

    @ApiModelProperty(value = "创建人")
    private Long sysCreatedBy;

    @ApiModelProperty(value = "删除标志")
    @TableLogic
    private Boolean del;

    @ApiModelProperty(value = "停用标志")
    private Boolean tybz;


    @Override
    protected Serializable pkVal() {
        return this.ufcLmBusinessTypeOid;
    }

}
