package com.jln.ufc.web.action.ufc.lm.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 业务类型和业务中间表
 * </p>
 *
 * @author 
 * @since 2022-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UfcLmBusinessTypeMiddel extends Model<UfcLmBusinessTypeMiddel> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "业务分类主键")
    @TableId
    private Long ufcLmBusinessTypeMiddelOid;

    @ApiModelProperty(value = "业务外键")
    private Long ywFk;

    @ApiModelProperty(value = "业务类型外键")
    private Long ufcLmBusinessTypeFk;


    @Override
    protected Serializable pkVal() {
        return this.ufcLmBusinessTypeMiddelOid;
    }

}
