package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.entity.LaboratoryPermissions;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTestCategory;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmTestCategoryVo;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcValueLableVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 实验室-试验分类 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2021-08-08
 */
@Repository
public interface UfcLmTestCategoryMapper extends BaseMapper<UfcLmTestCategory> {

    IPage<UfcLmTestCategoryVo> selectCategryPage(@Param("page") Page<UfcLmTestCategoryVo> page, @Param("dto") LaboratoryPermissions laboratoryPermissions);


    List<UfcValueLableVo> selectLmTCategoryList(@Param("ufcLmTestCategoryVo") UfcLmTestCategoryVo ufcLmTestCategoryVo, @Param("dto") LaboratoryPermissions laboratoryPermissions);
}
