package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTestItems;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmTestItemsVo;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTestItemsQueryDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 实验室-试验项目维护 Mapper 接口
 * </p>
 *
 * @author
 * @since 2021-08-08
 */
@Repository
public interface UfcLmTestItemsMapper extends BaseMapper<UfcLmTestItems> {


    IPage<UfcLmTestItemsVo> selectLmTestItemsPage(@Param("page") Page page, @Param("dto") UfcLmTestItemsQueryDto dto);

    UfcLmTestItemsVo selLmTestItemsByoid(@Param("oid") String lmTestItemsoid);
}
