package com.jln.ufc.web.action.ufc.lm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTestStandard;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTestStandardDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmTestStandardVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


/**
 * <p>
 * 实验室-试验标准 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2021-08-09
 */
@Repository
public interface UfcLmTestStandardMapper extends BaseMapper<UfcLmTestStandard> {
    /**
     * 获取试验标准列表数据
     * @param page
     * @param lmTestStandardDto
     * @return
     */
    Page<UfcLmTestStandardVo> getList(Page<UfcLmTestStandardDto> page, @Param("dto") UfcLmTestStandardDto lmTestStandardDto);



    UfcLmTestStandardVo getByOid(@Param("oid") Long oid);
}
