package com.jln.ufc.web.action.ufc.lm.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
    * 实验室（LM01)-检测参数分类
    */
@ApiModel(value="com-jln-system-web-action-lm-lm0206-entity-LmTestParameterCategory")
@Data
@TableName("ufc_lm_test_parameter_category")
public class UfcLmTestParameterCategory {
    /**
    * 检测参数分类主键
    */
    @ApiModelProperty(value="检测参数分类主键")
    @TableId
    private Long lmTestParameterCategoryoid;

    @ApiModelProperty(value="父节点")
    @TableField("pid")
    private Long pid;

    /**
    * 检测参数分类编码
    */
    @ApiModelProperty(value="检测参数分类编码")
    private String jccsflbm;

    /**
    * 检测参数分类名称
    */
    @ApiModelProperty(value="检测参数分类名称")
    private String jccsflmc;

    /**
    * 备注
    */
    @ApiModelProperty(value="备注")
    private String bz;

    /**
    * 维护时间
    */
    @ApiModelProperty(value="维护时间")
    private LocalDateTime sysLastUpd;

    /**
    * 维护人
    */
    @ApiModelProperty(value="维护人")
    private Long sysLastUpdBy;

    /**
    * 删除标志
    */
    @ApiModelProperty(value="删除标志")
    private Boolean del;

    /**
    * 创建时间
    */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime sysCreated;

    /**
    * 创建人
    */
    @ApiModelProperty(value="创建人")
    private Long sysCreatedBy;
}
