package com.jln.ufc.web.action.ufc.lm.pojo.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jln.ufc.web.action.entity.LaboratoryPermissions;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2022/1/21 16:46
 * Version:1.0
 **/
@Data
@ApiModel(value = "ufcJccsDto",description = "检测参数保存实体类")
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcJccsDto  extends LaboratoryPermissions {


    @ApiModelProperty(value = "检测参数维护主键")
    @TableId
    private Long lmTestParameteroid;

    @ApiModelProperty(value = "检测参数编码")
    @NotBlank(message = "检测参数编码不能为空")
    private String jccsbm;

    @ApiModelProperty(value = "检测参数名称")
    @NotBlank(message = "检测参数名称不能为空")
    private String jccsmc;

    @ApiModelProperty(value = "数据类型（Z | 字符型；S | 数值型）")
    private String sjlx;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "业务分类外键")
    private Long ufcLmBusinessTypeFk;

    @ApiModelProperty(value = "检测参数分类外键")
    private Long jccsflfk;
    @ApiModelProperty(value = "检测参数分类外键")
    private List<Long> jccsflfks;
}
