package com.jln.ufc.web.action.ufc.lm.pojo.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 实验室(LM02)-送试单
 * </p>
 *
 * @author
 * @since 2021-08-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="LmTds对象", description="实验室(LM02)-送试单")
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcLmTdsDto extends Model<UfcLmTdsDto> {

    @ApiModelProperty(value = "送试单号")
    private String ssdh;

    @ApiModelProperty(value = "试验分类外键（试验分类选择）")
    private String syflFk;

    @ApiModelProperty(value = "状态（I|初始 F|已提交）")
    private List<String> zt;

    @ApiModelProperty(value = "物料外键")
    private String wlFk;

    @ApiModelProperty(value = "物料编码（物料表选择）")
    private String wlbm;

    @ApiModelProperty(value = "物料名称")
    private String wlmc;

    @ApiModelProperty(value = "物料规格")
    private String wlgg;

    @ApiModelProperty(value = "图号")
    private String wlth;

    @ApiModelProperty(value = "送试部门")
    private String ssbmFk;

    @ApiModelProperty(value = "送试部门名称")
    private String ssbmmc;

    @ApiModelProperty(value = "送试人名称")
    private String ssrmc;

    @ApiModelProperty(value = "合同号")
    private String hth;

    @ApiModelProperty(value = "测试样品描述")
    private String csypms;


}
