package com.jln.ufc.web.action.ufc.lm.pojo.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jln.ufc.web.action.entity.LaboratoryPermissions;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2022/1/21 16:13
 * Version:1.0
 **/
@Data
@ApiModel
@JsonIgnoreProperties(ignoreUnknown = true)
public class UfcLmTestStandardDto extends LaboratoryPermissions {
    @ApiModelProperty(value = "试验标准主键")
    private Long lmTestStandardoid;

    @ApiModelProperty(value = "试验标准编码")
    private String sybzbm;

    @ApiModelProperty(value = "标准名称")
    private String bzmc;

    @ApiModelProperty(value = "物料编码（物料表选择带出）")
    private String wlid;

    @ApiModelProperty(value = "物料名称（物料表选择带出）")
    private String wlmc;

    @ApiModelProperty(value = "物料规格型号（物料表选择带出）")
    private String ggxh;


    @ApiModelProperty(value = "图号（物料表选择带出）")
    private String th;

    @ApiModelProperty(value = "客户编码（选择客户带出）")
    private String khbm;

    @ApiModelProperty(value = "客户名称（选择客户带出）")
    private String khmc;

    @ApiModelProperty(value = "试验分类")
    private String syflmc;

    @ApiModelProperty(value = "试验分类外键（下拉选择）")
    private Long lmTestCategoryFk;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "是否接收判定")
    private Boolean jspd;

    @ApiModelProperty(value = "业务分类")
    private String businessClass;

    @ApiModelProperty(value = "状态集合")
    private List<String> zts;

    @ApiModelProperty(value = "业务分类外键")
    private Long ufcLmBusinessTypeFk;
}
