package com.jln.ufc.web.action.ufc.lm.pojo.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class UfcLmTtSaveDto {
    @ApiModelProperty(value = "试验任务主键")
    private Long lmTtoid;

    @ApiModelProperty(value = "送试单外键（关联送试单）")
    private Long lmTdsFk;
    @ApiModelProperty(value = "序号")
    private Long xh;
    @ApiModelProperty(value = "送试单名称")
    private String ssdmc;

    @ApiModelProperty(value = "送试单号")
    private String ssdh;

    @ApiModelProperty(value = "任务单号（送试单号+“-”+序号）")
    private String rwdh;

    @ApiModelProperty(value = "试验项目编码（根据试验标准自动生成）")
    private String syxmbm;

    @ApiModelProperty(value = "试验项目名称")
    private String syxmmc;
    @ApiModelProperty(value = "组别")
    private String zb;
    @ApiModelProperty(value = "分组")
    private String fz;

    @ApiModelProperty(value = "技术要求")
    private String jsyq;

    @ApiModelProperty(value = "方法标准外键")
    private Long ffbzFk;

    @ApiModelProperty(value = "方法标准编码")
    private String ffbzbm;

    @ApiModelProperty(value = "方法标准名称")
    private String ffbzmc;

    @ApiModelProperty(value = "方法外键")
    private Long ffFk;

    @ApiModelProperty(value = "方法编码")
    private String ffbm;

    @ApiModelProperty(value = "方法名称")
    private String ffmc;

    @ApiModelProperty(value = "试验条件外键")
    private Long  sytjFk;
    @ApiModelProperty(value = "试验条件编码")
    private String sytjbm;

    @ApiModelProperty(value = "试验条件名称")
    private String sytjmc;

    @ApiModelProperty(value = "样品数（默认为标准中抽样数，可修改）")
    private Long yps;
    @ApiModelProperty(value = "接受数（默认为标准中接受数，可修改）")
    private Long jss;
    @ApiModelProperty(value = "状态（I|初始 D|待分配 B|试验前 T|试验中 A|试验后 E|审核）")
    private String zt;

    @ApiModelProperty(value = "备注")
    private String bz;
    @ApiModelProperty(value = "试验时间")
    private Long sysj;
    @ApiModelProperty(value = "延期时间")
    private Long yqsj;

    @ApiModelProperty(value = "前置条件")
    private String qztj;
    @ApiModelProperty(value = "抽样方式 A|固定抽样 B|百分比抽样")
    private String cyfs;
    @ApiModelProperty(value = "抽样百分比")
    private Float cybfb;
    @ApiModelProperty(value = "合格率")
    private Float hgl;

    @ApiModelProperty(value = "恢复时间")
    private Long hfsj;
    @ApiModelProperty(value = "样品编码")
    private String ypbh;
    @ApiModelProperty(value = "单位总量")
    private String dwzl;

    @ApiModelProperty(value = "检测结果")
    private String jcjg;

    @ApiModelProperty(value = "是否登记设备")
    private String djsb;
}
