package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author: Luca.Liu
 * @date: 2022/2/23
 */
@Data
public class UfcEmEquinfVo {

    @ApiModelProperty(value = "设备编码")
    private String sbid;

    @ApiModelProperty(value = "设备名称")
    private String sbmc;

    @ApiModelProperty(value = "设备规格")
    private String unitType;

    @ApiModelProperty(value = "使用部门")
    private String sybm;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "资产编码")
    private String zcid;

    @ApiModelProperty(value = "预留字段5")
    private LocalDateTime reserved5;

    @ApiModelProperty(value = "预留字段6")
    private LocalDateTime reserved6;
    
}
