package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2022/1/21 16:48
 * Version:1.0
 **/
@Data
@ApiModel(value ="ufcJccsVo" ,description = "检测参数列表")
public class UfcJccsVo {

    @ApiModelProperty(value = "检测参数维护主键")
    @TableId
    private Long lmTestParameteroid;

    @ApiModelProperty(value = "检测参数编码")
    private String jccsbm;

    @ApiModelProperty(value = "检测参数名称")
    private String jccsmc;

    @ApiModelProperty(value = "数据类型（Z|字符型；S|数值型）")
    private String sjlx;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "维护时间")
    private LocalDateTime sysLastUpd;

    @ApiModelProperty(value = "维护人外键")
    private Long sysLastUpdBy;

    @ApiModelProperty(value = "维护人")
    private String whr;

    @ApiModelProperty(value = "删除标志")
    private Boolean del;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime sysCreated;

    @ApiModelProperty(value = "创建人")
    private Long sysCreatedBy;

    @ApiModelProperty(value = "业务分类名称")
    private String ufcLmBusinessName;

    @ApiModelProperty(value = "业务分类id")
    private Long ufcLmBusinessTypeOid;
}
