package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import com.alibaba.excel.metadata.BaseRowModel;
import com.jln.common.annotation.ExcelColumn;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class UfcLmOrdersDetailRowModel extends BaseRowModel {
    /**
     * 生产批号
     */
    @ExcelColumn(value = "生产批号", col = 15)
    private String ufcLmOrdersDetailScph;

    /**
     * 物料编码
     */
    @ExcelColumn(value = "物料编码", col = 1)
    private String ufcLmOrdersDetailWlbm;

    /**
     * 物料名称
     */
    @ExcelColumn(value = "物料名称", col = 2)
    private String ufcLmOrdersDetailWlmc;

    /**
     * 规格型号
     */
    @ExcelColumn(value = "规格型号", col = 3)
    private String ufcLmOrdersDetailGgxh;

    /**
     * 图号
     */
    @ExcelColumn(value = "图号", col = 4)
    private String ufcLmOrdersDetailTh;
    /**
     * 图号
     */
    @ExcelColumn(value = "物料材质", col = 5)
    private String ufcLmOrdersDetailWlcz;

    /**
     * 计量单位
     */
    @ExcelColumn(value = "计量单位", col = 6)
    private String ufcLmOrdersDetailJldw;

    /**
     * 送试数量
     */
    @ExcelColumn(value = "送试数量", col = 8)
    private Integer ufcLmOrdersDetailSssl;
    /**
     * 送试数量
     */
    @ExcelColumn(value = "送试时间", col = 9)
    private LocalDateTime ufcLmOrdersDetailSssj;

    /**
     * 单价
     */
    @ExcelColumn(value = "单价", col = 16)
    private BigDecimal ufcLmOrdersDetailDj;

    /**
     * 含税单价
     */
    @ExcelColumn(value = "含税单价", col = 17)
    private BigDecimal ufcLmOrdersDetailHsdj;

    /**
     * 执行试验标准
     */
    @ExcelColumn(value = "执行试验标准", col = 12)
    private String ufcLmOrdersDetailZxsybz;

    /**
     * 检测中心试验标准
     */
    @ExcelColumn(value = "检测中心试验标准", col = 13)
    private String ufcLmOrdersDetailJczxsybz;

    /**
     * 客户合同号
     */
    @ExcelColumn(value = "客户合同号", col = 10)
    private String ufcLmOrdersDetailKhhth;

    /**
     * 第三方客户单号
     */
    @ExcelColumn(value = "第三方客户单号", col = 14)
    private String ufcLmOrdersDetailDsfkhdh;

    /**
     * 要求完成时间
     */
    @ExcelColumn(value = "要求完成时间", col = 7)
    private LocalDateTime ufcLmOrdersDetailYqwcsj;

    /**
     * 备注
     */
    @ExcelColumn(value = "备注", col = 18)
    private String ufcLmOrdersDetailBz;

    /**
     * 实验分类
     */
    @ExcelColumn(value = "实验分类", col = 11)
    private String lmTestCategory;

}
