package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import com.jln.common.annotation.ExcelColumn;
import lombok.Data;
import java.math.BigDecimal;

@Data
public class UfcLmOrdersRowModel {
    @ExcelColumn(value = "单据编号", col =1)
    private String ufcLmOrdersNumber;

    @ExcelColumn(value = "单据类型", col =2)
    private String ufcLmOrdersType;

    @ExcelColumn(value = "合同号", col =3)
    private String ufcLmOrdersContract;

    @ExcelColumn(value = "日期", col =4)
    private String ufcLmOrdersDate;

    @ExcelColumn(value = "销售员", col =5)
    private String ufcLmOrdersSalesman;

    @ExcelColumn(value = "销售部门", col =6)
    private String ufcLmOrdersDepartment;

    @ExcelColumn(value = "客户编码", col =7)
    private String bCustomeCode;

    @ExcelColumn(value = "客户名称", col =8)
    private String bCustomeName;

    @ExcelColumn(value = "收货方", col =9)
    private String ufcLmOrdersConsignee;

    @ExcelColumn(value = "合同类型", col =10)
    private String ufcLmOrdersConsigneeType;

    @ExcelColumn(value = "销售类型", col =11)
    private String ufcLmOrdersSalesType;

    @ExcelColumn(value = "送试人", col =12)
    private String ufcLmOrdersSendPeople;

    @ExcelColumn(value = "创建人", col =13)
    private String ufcLmOrdersCreate;

    @ExcelColumn(value = "检验类别", col =14)
    private String ufcLmOrdersInspectionType;

    @ExcelColumn(value = "物料编码", col =15)
    private String ufcLmOrdersDetailWlbm;

    @ExcelColumn(value = "产品名称", col =16)
    private String ufcLmOrdersDetailWlmc;

    @ExcelColumn(value = "规格", col =17)
    private String ufcLmOrdersDetailGgxh;

    @ExcelColumn(value = "计量单位", col =18)
    private String ufcLmOrdersDetailJldw;

    @ExcelColumn(value = "检验类别编码", col =19)
    private String lmTestCategory;

    @ExcelColumn(value = "进度要求", col =20)
    private String ufcLmOrdersDetailYqwcsj;

    @ExcelColumn(value = "客户数量", col =21)
    private Integer ufcLmOrdersDetailSssl;

    @ExcelColumn(value = "客户合同号", col =22)
    private String ufcLmOrdersDetailKhhth;

    @ExcelColumn(value = "第三方客户单号", col =23)
    private String ufcLmOrdersDetailDsfkhdh;

    @ExcelColumn(value = "生产批号", col =24)
    private String ufcLmOrdersDetailScph;

    @ExcelColumn(value = "单价", col =25)
    private BigDecimal ufcLmOrdersDetailDj;

    @ExcelColumn(value = "含税单价", col =26)
    private BigDecimal ufcLmOrdersDetailHsdj;

    @ExcelColumn(value = "检测中心-生产厂商", col =27)
    private String ufcLmOrdersDetailSccs;

    @ExcelColumn(value = "检测中心-生产日期", col =28)
    private String ufcLmOrdersDetailScrq;

    @ExcelColumn(value = "备注", col =29)
    private String ufcLmOrdersDetailBz;

    @ExcelColumn(value = "批次数量/送试数量", col =30)
    private String ufcLmOrdersDetailsl;

    @ExcelColumn(value = "备注1", col =31)
    private String ufcLmOrdersRemarks;

}
