package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="LmTt对象", description="送试单任务")
public class UfcLmTtVo {

    @ApiModelProperty(value = "试验任务主键")
    private Long lmTtoid;

    @ApiModelProperty(value = "送试单外键（关联送试单）")
    private Long lmTdsFk;

    @ApiModelProperty(value = "送试单外键（关联送试单）")
    private Long sybzmxfk;

    @ApiModelProperty(value = "送试单号")
    private String ssdh;

    @ApiModelProperty(value = "任务单号（送试单号+“-”+序号）")
    private String rwdh;

    @ApiModelProperty(value = "试验项目编码（根据试验标准自动生成）")
    private String syxmbm;

    @ApiModelProperty(value = "试验项目名称")
    private String syxmmc;
    //实验分类编码、名称

    @ApiModelProperty(value = "试验分类编码")
    private String syflbm;

    @ApiModelProperty(value = "试验分类名称")
    private String syflmc;
    @ApiModelProperty(value = "合同号")
    private String hth;

    //物料信息
    @ApiModelProperty(value = "物料编码")
    private String wlbm;
    @ApiModelProperty(value = "物料名称")
    private String wlmc;
    @ApiModelProperty(value = "物料规格")
    private String wlgg;
    @ApiModelProperty(value = "图号")
    private String tz;
    @ApiModelProperty(value = "材质")
    private String cl;
    @ApiModelProperty(value = "计量单位")
    private String jldw;


    //实验标准
    @ApiModelProperty(value = "实验标准编码")
    private String sybzbm;

    @ApiModelProperty(value = "实验标准名称")
    private String sybzmc;

    @ApiModelProperty(value = "组别")
    private String zb;

    @ApiModelProperty(value = "分组")
    private String fz;

    @ApiModelProperty(value = "技术要求")
    private String jsyq;

    @ApiModelProperty(value = "方法标准编码")
    private String ffbzbm;

    @ApiModelProperty(value = "方法标准名称")
    private String ffbzmc;

    @ApiModelProperty(value = "方法编码")
    private String ffbm;

    @ApiModelProperty(value = "方法名称")
    private String ffmc;

    @ApiModelProperty(value = "试验条件编码")
    private String sytjbm;

    @ApiModelProperty(value = "试验条件名称")
    private String sytjmc;

    @ApiModelProperty(value = "抽样数")
    private Long cys;

    @ApiModelProperty(value = "接收数")
    private Long jss;

    @ApiModelProperty(value = "样品数（默认为标准中抽样数，可修改）")
    private Long yps;

    @ApiModelProperty(value = "失效数")
    private Long sxs;

    @ApiModelProperty(value = "合格数")
    private Long hgs;

    @ApiModelProperty(value = "不合格数")
    private Long bhgs;

    @ApiModelProperty(value = "试验员工号")
    private String syygh;

    @ApiModelProperty(value = "试验员名称")
    private String syymc;

    @ApiModelProperty(value = "试验员外键")
    private Long syyFk;

    //送事时间
    @ApiModelProperty(value = "送事时间")
    private LocalDateTime sssj;

    @ApiModelProperty(value = "计划开始时间")
    private LocalDateTime jhkssj;

    @ApiModelProperty(value = "计划结束时间")
    private LocalDateTime jhjssj;

    @ApiModelProperty(value = "实际开始时间")
    private LocalDateTime sjkssj;

    @ApiModelProperty(value = "实际结束时间")
    private LocalDateTime sjjssj;

    @ApiModelProperty(value = "复核结果（Y|合格 N|不合格）")
    private String fhjg;

    @ApiModelProperty(value = "状态（I|初始 D|待分配 B|试验前 T|试验中 A|试验后 E|审核）")
    private String zt;

    @ApiModelProperty(value = "备注")
    private String bz;

    private LocalDateTime yqwcsj;
    @ApiModelProperty(value = "送试单-结论")
    private String fhjl;

    @ApiModelProperty(value = "试验进度名称")
    private String syjdmc;
    @ApiModelProperty(value = "试验进度编码")
    private String syjdbm;
    @ApiModelProperty(value = "试验进度外键")
    private String syjdfk;
    @ApiModelProperty(value = "试验时间")
    private Long sysj;
    @ApiModelProperty(value = "延期时间")
    private Long yqsj;

    @ApiModelProperty(value = "位置")
    private String wz;
    @ApiModelProperty(value = "序号")
    private Long xh;

    @ApiModelProperty(value = "报告编号")
    private String ufcLmOrdersBgbh;
}
