package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.jln.common.utils.BaseUtil;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmOrdersDetail;
import lombok.Data;
import org.springframework.beans.BeanUtils;

import java.util.ArrayList;
import java.util.List;

@Data
public class UfcOrdersDetailListener extends AnalysisEventListener<UfcLmOrdersDetailRowModel> {

    List<UfcLmOrdersDetail> list = new ArrayList<>();

    @Override
    public void invoke(UfcLmOrdersDetailRowModel data, AnalysisContext analysisContext) {
        UfcLmOrdersDetail detail = new UfcLmOrdersDetail();
        detail.setUfcLmOrdersDetaiOid(new BaseUtil().getLongId());
        BeanUtils.copyProperties(data,detail);
        list.add(detail);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
