package com.jln.ufc.web.action.ufc.lm.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 实验室(LM02)-复核
 * </p>
 *
 * @author
 * @since 2021-08-31
 */
@Data
@ApiModel(value = "LmTds对象", description = "实验室(LM02)-送试单")
public class UfcTestRecheckVo  {

    @ApiModelProperty(value = "送试单主键")
    private String lmTdsoid;

    @ApiModelProperty(value = "送试单号")
    private String ssdh;

    @ApiModelProperty(value = "试验分类外键（试验分类选择）")
    private Long syflFk;

    @ApiModelProperty(value = "试验分类名称（试验分类选择）")
    private String syflmc;

    @ApiModelProperty(value = "试验分类编码（试验分类选择）")
    private String syflbm;

    @ApiModelProperty(value = "物料外键")
    private Long wlFk;

    @ApiModelProperty(value = "物料编码（物料表选择）")
    private String wlbm;

    @ApiModelProperty(value = "物料名称")
    private String wlmc;

    @ApiModelProperty(value = "物料规格")
    private String wlgg;

    @ApiModelProperty(value = "图号")
    private String wlth;

    @ApiModelProperty(value = "材质")
    private String wlcz;

    @ApiModelProperty(value = "计量单位")
    private String jldw;

    @ApiModelProperty(value = "试验标准外键")
    private String sybzFk;

    @ApiModelProperty(value = "试验标准名称")
    private String sybzmc;

    @ApiModelProperty(value = "试验标准编码")
    private String sybzbm;

    @ApiModelProperty(value = "送试名称")
    private String ssbmmc;

    @ApiModelProperty(value = "送试编码")
    private String ssbmbm;

    @ApiModelProperty(value = "送试人名称")
    private String ssrmc;

    @ApiModelProperty(value = "送试时间")
    private LocalDateTime sssj;

    @ApiModelProperty(value = "送试数量")
    private Integer sssl;

    @ApiModelProperty(value = "生成方式（Z|直接维护 P|工艺流程卡）")
    private String scfs;

    @ApiModelProperty(value = "复核结论（Y|合格 N|不合格）")
    private String fhjl;

    @ApiModelProperty(value = "总合格率（%）")
    private BigDecimal zhgl;

    @ApiModelProperty(value = "复核意见")
    private String fhyj;

    @ApiModelProperty(value = "复核人外键")
    private Long fhrFk;

    @ApiModelProperty(value = "复核人名称")
    private String fhrmc;

    @ApiModelProperty(value = "复核人时间")
    private LocalDateTime fhsj;

    @ApiModelProperty(value = "状态（I|初始 F|已提交）")
    private String zt;

    @ApiModelProperty(value = "备注")
    private String bz;
    @ApiModelProperty(value = "合同号")
    private String hth;

    @ApiModelProperty(value = "技术责任人外键")
    private Long jszrrfk;
    @ApiModelProperty(value = "技术责任人名称")
    private String jszrrmc;

    @ApiModelProperty(value = "报告编号")
    private String ufcLmOrdersBgbh;
}
