package com.jln.ufc.web.action.ufc.lm.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.entity.LaboratoryPermissions;

import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTds;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTdsSaveDto;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTdsDto;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcSybzSaveDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmTdsVo;


/**
 * <p>
 * 实验室(LM02)-送试单 服务类
 * </p>
 *
 * @author
 * @since 2021-08-31
 */
public interface UfcLmTdsService extends IService<UfcLmTds> {

    /**
     * 送试单分页查询
     * @param lmtdsDto
     * @return
     */
    Result pageSsList(PageParameter<UfcLmTdsDto> lmtdsDto, LaboratoryPermissions laboratoryPermissions);

    Result<UfcLmTdsSaveDto> save(UfcLmTdsSaveDto lmTdsSaveDto, User user);

    /**
     * 送试单-试验标准保存试验任务和检测参数
     * @param sybzSaveDto
     * @param user
     * @return
     */
    Result<UfcSybzSaveDto> saveSyrwAndJccs(UfcSybzSaveDto sybzSaveDto, User user);
    
    
    Result getDefault(Long wboid);
    
    Result gwjSave(UfcLmTdsSaveDto ufcLmTdsSaveDto, User user);


    Result<UfcLmTdsVo> getTdsByOid(String tdsOid);
}
