package com.jln.ufc.web.action.ufc.lm.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.entity.LaboratoryPermissions;
import com.jln.ufc.web.action.ufc.lm.entity.UfcLmTestCategory;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTestCategoryDto;
import com.jln.ufc.web.action.ufc.lm.pojo.vo.UfcLmTestCategoryVo;

/**
 * <p>
 * 实验室-试验分类 服务类
 * </p>
 *
 * @author 
 * @since 2021-08-08
 */
public interface UfcLmTestCategoryService extends IService<UfcLmTestCategory> {

    Result saveOrUpdateLmTestCategry(UfcLmTestCategoryDto lmTestCategory, User user);


    Result pageLmTestCategry(PageParameter parameter, LaboratoryPermissions laboratoryPermissions);


    Result selLmTCategoryList(UfcLmTestCategoryVo ufcLmTestCategoryVo, LaboratoryPermissions laboratoryPermissions);
}
