package com.jln.ufc.web.action.ufc.lm.service;


import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.entity.LaboratoryPermissions;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcChangeOrderDto;
import com.jln.ufc.web.action.ufc.lm.pojo.dto.UfcLmTdsDto;


/**
 * <p>
 * 实验室(LM02)-试验任务分配 服务类
 * </p>
 *
 * @author
 * @since 2021-08-31
 */
public interface UfcTestRecheckService {
   

    /**
     *试验复核列表分页查询
     * @param lmtdsDto
     * @return
     */
    Result pageFhList(PageParameter<UfcLmTdsDto> lmtdsDto, LaboratoryPermissions laboratoryPermissions);


    /**
     * 试验复核-转销售
     * @param changeOrderDto
     * @return
     */
    Result changeOrder(UfcChangeOrderDto changeOrderDto);
}
