package com.jln.ufc.web.action.ufc.pp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.pp.pojo.UfcWogylx;
import com.jln.ufc.web.action.ufc.pp.pojo.dto.UfcWoSelectDto;
import com.jln.ufc.web.action.ufc.pp.pojo.vo.UfcWogylxVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 生产订单工艺路线 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2020-02-19
 */
@Component("UfcWogylxMapper")
public interface UfcWogylxMapper extends BaseMapper<UfcWogylx> {
    /**
     *
     * @param page 翻页对象，可以作为 xml 参数直接使用，传递参数 Page 即自动分页
     * @return
     */

    List<UfcWogylxVo> getWogylxList(Page<UfcWogylxVo> page, @Param("woSelectDto") UfcWoSelectDto woSelectDto);

}
