package com.jln.ufc.web.action.ufc.pp.pojo.vo;

import com.jln.ufc.web.action.ufc.pp.pojo.dto.UfcWoQueryDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author: Luca.Liu
 * @date: 2022/2/17
 */
@Data
@ApiModel(value = "WoQueryVo",description = "生产订单维护接口——生产订单维护、关闭、变更列表查询")
public class UfcWoQueryVo extends UfcWoQueryDto {

    @ApiModelProperty(example = "明细.合同号")
    private String hth;

    @ApiModelProperty(example = "源单id")
    private String ydid;

}
