package com.jln.ufc.web.action.ufc.ps.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcPsMfeedShow;
import com.jln.ufc.web.action.ufc.ps.service.UfcPsWboutService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 
 * @since 2020-02-10
 */
@Slf4j
@RestController
@RequestMapping("/ufc/ps/psWbOut")
@Api(value = "生产调度管理---工单产出物料",tags = "生产调度管理---工单产出物料")
public class UfcPsWboutController {
    @Autowired
    private UfcPsWboutService psWboutService;

    @ApiOperation(value = "工位机-产出物料信息查询接口-条件工单主键",notes="工位机-产出物料信息查询接口-条件工单主键")
    @PostMapping("/getAnalysisSnPage")
    public Result<Page<UfcPsMfeedShow>> getAnalysisSnPage(@RequestBody PageParameter<Long> psWbFk){
        return psWboutService.getAnalysisSn(psWbFk);
    }

}
