package com.jln.ufc.web.action.ufc.ps.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.PermissionsOnTheEntity;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcInspectionDto;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcInspectionVo;
import org.apache.ibatis.annotations.Param;

public interface UfcInspectionMapper {

    /**
     * 统计总数方法
     * @param inspectionDto
     * @param permissionsOnTheEntity
     * @return
     */
    Integer getInspectionListCunt(@Param("query") UfcInspectionDto inspectionDto, @Param("entity") PermissionsOnTheEntity permissionsOnTheEntity);

    /**
     * 获取首件、专检检验队列列表信息
     * @param page  分页数据
     * @param inspectionDto  添加数据
     * @param permissionsOnTheEntity 分页数据
     * @return
     */
    Page<UfcInspectionVo> getInspectionList(Page page, @Param("query")UfcInspectionDto inspectionDto, @Param("entity") PermissionsOnTheEntity permissionsOnTheEntity);


    Long getFk(@Param("qcobjfk")Long qcObjoid);
}
