package com.jln.ufc.web.action.ufc.ps.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author: Luca.Liu
 * @date: 2022/3/18
 */
@Data
public class UfcPswSVoData {

    @ApiModelProperty(example = "已排产数量")
    private BigDecimal ypcsl;
    @ApiModelProperty(example = "本次排产数量")
    private BigDecimal bcpcsl;
    @ApiModelProperty(example = "生产订单主键")
    private String wooid;
    @ApiModelProperty(value = "单个订单数量")
    private BigDecimal noteNumber;

    private String zlh;

    private UfcPsWsVo psWsVo;
    @ApiModelProperty(value = "生产批次")

    private List<String> productionBatchList;
    
}
