package com.jln.ufc.web.action.ufc.ps.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.entity.PermissionsOnTheEntity;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcCjheckQcSampleStdDto;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcInspectionDto;
import com.jln.ufc.web.action.ufc.ps.pojo.vo.UfcInspectionSaveVo;

public interface UfcInspectionService {

    /**
     * 获取首件检验队列列表数据
     * @param pageParameter 查询条件及分页参数
     * @return
     */
    Result getInspectionList(PageParameter<UfcInspectionDto> pageParameter, User user, PermissionsOnTheEntity permissionsOnTheEntity);

    Result updateQcSampletionStdData(UfcInspectionSaveVo inspectionSaveVo, User user);
}
