package com.jln.ufc.web.action.ufc.ps.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.ps.pojo.UfcPsWbrpt;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcWbRptJobAddDto;

/**
 * <p>
 * 生产工单汇报业务逻辑层
 * </p>
 *
 * @author
 * @since 2020-02-23
 */
public interface UfcPsWbrptService extends IService<UfcPsWbrpt> {

    /**
     * 查询反馈历史数据
     * @param parameter  查询参数
     * @return
     */
    Result<Page<UfcWbRptJobAddDto>> getWbRptJobAddDto(PageParameter<Long> parameter);
}
