package com.jln.ufc.web.action.ufc.qc.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 检验单-通用规程中间表
 * </p>
 *
 * @author 
 * @since 2022-04-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="UfcQcTyRuleBill对象", description="检验单-通用规程中间表")
public class UfcQcTyRuleBill extends Model<UfcQcTyRuleBill> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "检验单-通用规程中间表主键")
    private Long ufcBillRule;

    @ApiModelProperty(value = "检验单外键")
    private Long qcBillOid;

    @ApiModelProperty(value = "通用规程外键")
    private Long ufcQcTyRuleoid;


    @Override
    protected Serializable pkVal() {
        return this.ufcBillRule;
    }

}
