package com.jln.ufc.web.action.ufc.qc.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UfcQcRuleSelectInfo {

    @ApiModelProperty(example = "检验类别编号", required = true,dataType = "string")
    private String jylx;

    @ApiModelProperty(example = "物料类别编号", required = true,dataType = "string")
    private String piid;

    @ApiModelProperty(example = "检验标准编号", required = true,dataType = "string")
    private String jybzid;

    @ApiModelProperty(example = "生产线编号", required = true,dataType = "string")
    private String scxid;

    @ApiModelProperty(example = "标准工序编号", required = true,dataType = "string")
    private String bzgxid;

    @ApiModelProperty(example = "供应商编号", required = true,dataType = "string")
    private String gysid;

    @ApiModelProperty(example = "控制方式", required = true,dataType = "string")
    private String kzfs;

    @ApiModelProperty(example = "单件检验", required = true,dataType = "string")
    private String djjy;

    @ApiModelProperty(example = "检验类型外键", required = true,dataType = "Long")
    private Long qcTypeFk;

    @ApiModelProperty(example = "检验标准外键", required = true,dataType = "Long")
    private Long qcStdFk;

    @ApiModelProperty(example = "物料外键", required = true,dataType = "Long")
    private Long bMaterialFk;

    @ApiModelProperty(example = "生产线外键", required = true,dataType = "Long")
    private Long bProductionlineFk;

    @ApiModelProperty(example = "供应商外键", required = true,dataType = "Long")
    private Long bSupplierFk;

    @ApiModelProperty(example = "标准工序外键", required = true,dataType = "Long")
    private Long bStandardprocessFk;

    @ApiModelProperty(example = "组织机构", required = true,dataType = "string")
    private String defaultFactory;

    @ApiModelProperty(example = "物料编码", required = true,dataType = "string")
    private String wlbm;
}
