package com.jln.ufc.web.action.ufc.qc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcItem;
import com.jln.ufc.web.action.ufc.qc.entity.vo.UfcQcitemInfo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author
 * @since 2020-02-25
 */
public interface UfcQcItemMapper extends BaseMapper<UfcQcItem> {
    /* @Select(" SELECT\n" +
             "A.qc_itemoid,A.jyxmid,A.jyxmmc,A.dj,A.lx,A.kzfs,A.jldw,\n" +
             "A.qszf,A.qszs,A.qszd,A.mj,A.mjlb,A.qszm,A.cyfs,A.ybsl,A.bfb,\n" +
             "A.cybz,A.jcsp,A.aql,A.pbsp,A.rql,A.zxybsl,A.xsws,A.jsgs,A.jyff,\n" +
             "A.jynr,A.qyrq,A.tyrq,A.tybz,A.zt,A.bz,A.sys_created,sys_employee.employee_name FROM qc_item A\n" +
              "LEFT JOIN   sys_employee   on  A.sys_created_by=sys_employee.employee_oid WHERE  A.del='0' ")*/
    Page<UfcQcitemInfo> selectPages(@Param("objectPage") Page<Object> objectPage, @Param("data") Long data);

    /*@Select("SELECT\n" +
            "A.qc_itemoid,A.jyxmid,A.jyxmmc,A.dj,A.lx,A.kzfs,A.jldw,\n" +
            "A.qszf,A.qszs,A.qszd,A.mj,A.mjlb,A.qszm,A.cyfs,A.ybsl,A.bfb,\n" +
            "A.cybz,A.jcsp,A.aql,A.pbsp,A.rql,A.zxybsl,A.xsws,A.jsgs,A.jyff,\n" +
            "A.jynr,A.qyrq,A.tyrq,A.tybz,A.zt,A.bz,A.sys_created,sys_employee.employee_name FROM qc_item A\n" +
            "LEFT JOIN   sys_employee   on  A.sys_created_by=sys_employee.employee_oid WHERE  A.qc_itemoid=#{data.qcitemoid}  ")*/
    UfcQcitemInfo selectbyid(Long qcitemoid);
}
