package com.jln.ufc.web.action.ufc.qc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.ufc.web.action.ufc.bm.entity.vo.UfcBMaterialView;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcStd;
import com.jln.ufc.web.action.ufc.qc.entity.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 
 * @since 2020-02-25
 */
public interface UfcQcStdMapper extends BaseMapper<UfcQcStd> {

    UfcQcStdView getQcStd(Long qcStdoid);

    UfcQcStdView getQcStdDerive(Long qcStdoid);

    List<UfcQcStdmxView> getQcStdmxList(@Param("page") Page<UfcQcStdmxView> page, @Param("qcStdSelectInfo") UfcQcStdDetailInfo qcStdSelectInfo);

    List<UfcQcStdmxView> getQcStdmxDeriveList(@Param("page") Page<UfcQcStdmxView> page,@Param("qcStdSelectInfo") UfcQcStdDetailInfo qcStdSelectInfo);

    List<UfcQcStdView> getQcStdList(@Param("page") Page<UfcQcStdView> page,@Param("qcStdSelectInfo") UfcQcStdSelectInfo qcStdSelectInfo);

    List<UfcBMaterialView> getBMaterials(@Param("bMaterialSelectInfo") UfcBMaterialSelectInfo material,@Param("factoryOid")Long oid);
}
