package com.jln.ufc.web.action.ufc.qc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcTyRule;
import com.jln.ufc.web.action.ufc.qc.entity.vo.UfcQcRuleSelectInfo;
import com.jln.ufc.web.action.ufc.qc.entity.vo.UfcQcRuleView;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 通用规程 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2022-04-29
 */
public interface UfcQcTyRuleMapper extends BaseMapper<UfcQcTyRule> {

    List<UfcQcRuleView> getQcRuleList(@Param("page") Page<UfcQcRuleView> page, @Param("qcRuleSelectInfo") UfcQcRuleSelectInfo qcRuleSelectInfo);

    UfcQcTyRule getQcTyeOid(@Param("bMaterialFk") Long bMaterialFk, @Param("productionLineFk") Long productionLineFk, @Param("standardProcessFk") Long standardProcessFk, @Param("qcType") String qcType);

    UfcQcRuleView getQcTyRule(Long qcTyRuleoid);
}
