package com.jln.ufc.web.action.ufc.qc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcRule;
import com.jln.ufc.web.action.ufc.qc.entity.vo.UfcQcRuleSelectInfo;
import com.jln.ufc.web.action.ufc.qc.entity.vo.UfcQcRuleView;

/**
 * @author: Luca.Liu
 * @date: 2022/3/11
 */
public interface UfcQcRuleService extends IService<UfcQcRule> {

    Result<Page<UfcQcRuleView>> getQcRuleList(Page<UfcQcRuleView> page, UfcQcRuleSelectInfo qcRuleSelectInfo);


    Result saveQcRule(UfcQcRule qcRule, User user);
}
