package com.jln.ufc.web.action.ufc.qc.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcStd;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcStdmx;
import com.jln.ufc.web.action.ufc.qc.entity.vo.*;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2020-02-25
 */
public interface UfcQcStdService extends IService<UfcQcStd> {

    Result<UfcQcStdView> getQcStd(Page<UfcQcStdmxView> page, UfcQcStdDetailInfo qcStdSelectInfo);

    Result saveQcStd(UfcQcStd qcStd, User user);

    Result<Page<UfcQcStdView>> getQcStdList(Page<UfcQcStdView> page, UfcQcStdSelectInfo qcStdSelectInfo);

    Result saveQcStdmx(UfcQcStdmx qcStdmx, User user);

    Result addQcRule(UfcQcRuleInfo qcRule, User user);
}
