package com.jln.ufc.web.action.ufc.qc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcTyRule;
import com.jln.ufc.web.action.ufc.qc.entity.vo.UfcQcRuleSelectInfo;
import com.jln.ufc.web.action.ufc.qc.entity.vo.UfcQcRuleView;

import java.util.List;

/**
 * <p>
 * 通用规程 服务类
 * </p>
 *
 * @author 
 * @since 2022-04-29
 */
public interface UfcQcTyRuleService extends IService<UfcQcTyRule> {

    Result saveQcTyRule(UfcQcTyRule ufcQcTyRule, User user);

    Result delQcTyRule(List<Long> oids);

    Result pageQcTyRule(PageParameter<UfcQcRuleSelectInfo> qcRuleSelectInfo);

    Result generalSettings(List<UfcQcTyRule> qcTyRules);

    Result<UfcQcRuleView> getQcTyRule(Long qcTyRuleoid);
}
