package com.jln.system.web.action.flywayhistory;

import com.jln.system.web.action.am.flywayhistory.AmDateBaseUpdate;
import com.jln.system.web.action.bm.flywayhistory.BmDateBaseUpdate;
import com.jln.system.web.action.commonweb.flywayhistory.ComWebDateBaseUpdate;
import com.jln.system.web.action.ct.flywayhistory.CtDateBaseUpdate;
import com.jln.system.web.action.dm.flywayhistory.DmDateBaseUpdate;
import com.jln.system.web.action.em.flywayhistory.EmDateBaseUpdate;
import com.jln.system.web.action.fm.flywayhistory.FmDateBaseUpdate;
import com.jln.system.web.action.lm.flywayhistory.LmDateBaseUpdate;
import com.jln.system.web.action.ma.flywayhistory.MaDateBaseUpdate;
import com.jln.system.web.action.mc.flywayhistory.McDateBaseUpdate;
import com.jln.system.web.action.md.flywayhistory.MdDateBaseUpdate;
import com.jln.system.web.action.pm.flywayhistory.PmDateBaseUpdate;
import com.jln.system.web.action.pp.flywayhistory.PpDateBaseUpdate;
import com.jln.system.web.action.ps.flywayhistory.PsDateBaseUpdate;
import com.jln.system.web.action.pt.flywayhistory.PtDateBaseUpdate;
import com.jln.system.web.action.qc.flywayhistory.QcDateBaseUpdate;
import com.jln.system.web.action.spc.flywayhistory.SpcDateBaseUpdate;
import com.jln.system.web.action.vm.flywayhistory.VmDateBaseUpdate;
import com.jln.system.web.action.vs.flywayhistory.VsDateBaseUpdate;
import com.jln.system.web.action.wa.flywayhistory.WaDateBaseUpdate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Slf4j
@Service
public class FlywayModule {

    @Autowired
    private AmDateBaseUpdate amDateBaseUpdate;

    @Autowired
    private BmDateBaseUpdate bmDateBaseUpdate;

    @Autowired
    private ComWebDateBaseUpdate commonwebDateBaseUpdate;

    @Autowired
    private CtDateBaseUpdate ctDateBaseUpdate;

    @Autowired
    private DmDateBaseUpdate dmDateBaseUpdate;

    @Autowired
    private EmDateBaseUpdate emDateBaseUpdate;
    @Autowired
    private FmDateBaseUpdate fmDateBaseUpdate;
    @Autowired
    private MaDateBaseUpdate maDateBaseUpdate;
    @Autowired
    private McDateBaseUpdate mcDateBaseUpdate;
    @Autowired
    private MdDateBaseUpdate mdDateBaseUpdate;
    @Autowired
    private PmDateBaseUpdate pmDateBaseUpdate;
    @Autowired
    private PpDateBaseUpdate ppDateBaseUpdate;
    @Autowired
    private PsDateBaseUpdate psDateBaseUpdate;
    @Autowired
    private PtDateBaseUpdate ptDateBaseUpdate;
    @Autowired
    private QcDateBaseUpdate qcDateBaseUpdate;
    @Autowired
    private SpcDateBaseUpdate spcDateBaseUpdate;
    @Autowired
    private VmDateBaseUpdate vmDateBaseUpdate;
    @Autowired
    private VsDateBaseUpdate vsDateBaseUpdate;
    @Autowired
    private WaDateBaseUpdate waDateBaseUpdate;
    @Autowired
    private LmDateBaseUpdate lmDateBaseUpdate;



    public void init(){
        try {
            amDateBaseUpdate.DateBaseUpdate();
            bmDateBaseUpdate.DateBaseUpdate();
            commonwebDateBaseUpdate.DateBaseUpdate();
            ctDateBaseUpdate.DateBaseUpdate();
            dmDateBaseUpdate.DateBaseUpdate();
            emDateBaseUpdate.DateBaseUpdate();
            fmDateBaseUpdate.DateBaseUpdate();
           // maDateBaseUpdate.DateBaseUpdate();
            mcDateBaseUpdate.DateBaseUpdate();
            mdDateBaseUpdate.DateBaseUpdate();
            pmDateBaseUpdate.DateBaseUpdate();
            psDateBaseUpdate.DateBaseUpdate();
            ppDateBaseUpdate.DateBaseUpdate();
            ptDateBaseUpdate.DateBaseUpdate();
            qcDateBaseUpdate.DateBaseUpdate();
            spcDateBaseUpdate.DateBaseUpdate();
            vmDateBaseUpdate.DateBaseUpdate();
            vsDateBaseUpdate.DateBaseUpdate();
            waDateBaseUpdate.DateBaseUpdate();
            lmDateBaseUpdate.DateBaseUpdate();
        }catch (Exception e){
//            log.error("update database error", e);
            e.printStackTrace();
            throw e;
        }
    }
}
