package com.jln.system.web.action.sm.user.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jln.system.web.action.sm.user.entity.SysEmployee;
import com.jln.system.web.action.sm.user.pojo.dto.EmployeeDTO;
import com.jln.system.web.action.sm.user.pojo.vo.EmployeeVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 
 * @since 2020-02-15
 */
public interface SysEmployeeMapper extends BaseMapper<SysEmployee> {

    Page<EmployeeVo> selectEmployeePostList(Page page, @Param("employeeDTO") EmployeeDTO employeeDTO);

}
