package com.jln.system.web.action.erp.gxbg.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class GxzyErpParam {
    /**
     * 物料编码
     */
    private String wlid;
    /**
     * 转出工序顺序号
     */
    private Integer outSxh;
    /**
     * 转出工序工作中心
     */
    private String outGzzx;
    /**
     * 转出工序编码
     */
    private String outGxid;
    /**
     * 转出工序名称
     */
    private String outGxmc;
    /**
     * 转入工序编码
     */
    private String inGxid;
    /**
     * 转入工序名称
     */
    private String inGxmc;
    /**
     * 转入工序工作中心
     */
    private String inGzzx;
    /**
     * 转入工序顺序号
     */
    private Integer inSxh;
    /**
     * 转入工序单位编码
     */
    private String inDwid;
    /**
     * 转出工序单位编码
     */
    private String outDwid;
    /**
     * 明细.单价
     */
    private BigDecimal mxDj;

    /**
     * 转出数量
     */
    private BigDecimal tzzysl;
    /**
     * 源单号-ERP上面的特定值
     */
    private String ydid;
    /**
     * 源ERP中的订单行号
     */
    private Integer ydhh;
    /**
     * 订单需求数量
     */
    private BigDecimal xqsl;
    /**
     * 转出工序erp工序主键
     */
    private Integer outGxOid;
    /**
     * 入工序erp工序主键
     */
    private Integer inGxOid;
    /**
     * 生产计划单号id(erp工序计划单主键)
     */
    private Integer scjhdherId;
    /**
     * 工序序列id(对应erp字段：FOptPlanSeqId)
     */
    private Integer gxxlid;
    /**
     * 表体id
     */
    private Integer outBtid;
    /**
     * 源单行号id
     */
    private Integer ydhhId;
    /**
     * 源单行id
     */
    private Integer ydhId;
    /**
     * BOM版本
     */
    private String bomBb;
    /**
     * 明细.批号
     */
    private String mxPh;

    private String mxFzsxmcZldj;
    private String mxFzsxmcJd;


    private String inBtid;

    /**
     * 供应商编码
     */
    private String gysid;

    /**
     * 状态: I|移除,F|转出,C|接收
     */
    private String zt;

}
