package com.jln.system.web.action.erp.gxbg.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 
 * </p>
 *
 * @author 
 * @since 2022-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UfcErpPsWbrpt extends Model<UfcErpPsWbrpt> {

    private static final long serialVersionUID = 1L;

    /**
     * 工序汇报erp扩展表主键
     */
    @TableId
    private Long ufcErpPsWbrptOid;

    /**
     * 工序汇报外键
     */
    private Long psWbrptFk;

    /**
     * erp工序汇报主键
     */
    private Integer erpBgSaveOid;

    /**
     * erp工序汇报编码
     */
    private String erpBgSaveId;

    /**
     * 2022-2-28 新增字段
     * 质量等级名称
     */
    @TableField(updateStrategy= FieldStrategy.IGNORED)
    private String mxZldjMc;

    /**
     * 精度名称
     */
    @TableField(value="mx_jd_mc",updateStrategy= FieldStrategy.IGNORED)
    private String mxJdmc;

    /**
     * 温度系数名称
     */
    @TableField(updateStrategy= FieldStrategy.IGNORED)
    private String mxWdxsMc;

    /**
     * 产品批号
     */
    private String cpph;

    /**
     * 状态： I：初始  R：确认
     */
    private char zt;
    /**
     * 批号日期
     */
    private LocalDate phrq;


    @Override
    protected Serializable pkVal() {
        return this.ufcErpPsWbrptOid;
    }

}
