package com.jln.system.web.action.erp.gxbg.mapper;

import com.jln.system.web.action.erp.gxbg.entity.UfcErpGxzydmx;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcGxzyInfo;
import com.jln.system.web.action.ps.zytl.pojo.vo.GxzyInfo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * erp工序转移扩展表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2022-01-19
 */
public interface UfcErpGxzydmxMapper extends BaseMapper<UfcErpGxzydmx> {

    Integer getJudgeZbgx(Long psWbFk);

    Integer selectMesZysl(@Param("psWbFk") Long psWbFk, @Param("gxzydmxoid") Long gxzydmxoid);

    Integer selectErpZysl(@Param("woFk") Long woFk, @Param("wogylxFk") Long wogylxFk);

    Integer selectErpJh(@Param("woFk") Long woFk);

    Integer getErpZysl(@Param("pswboid") Long psWbFk);

    Integer getErpJssl(Long psWbFk);

    UfcGxzyInfo getProcessRemoval(@Param("psWbFk") Long psWbFk);

    BigDecimal getProcessRemovalNumber(@Param("psWbFk") Long psWbFk);

    UfcGxzyInfo getProcessRollOut(@Param("psWbFk") Long psWbFk);

    BigDecimal getProcessRollOutNumber(@Param("psWbFk") Long psWbFk);

    BigDecimal getMesJssl(@Param("psWbFk")Long psWbFk);

    BigDecimal selectErpJssl(Long psWbFk);

    int del(Long ufcErpGxzydmxOid);

    int delGxzyd(Long gxzydoid);

    int delGxzydmx(Long gxzydmxoid);

    List<Long> selectPsWbrpt(Long jgPsWbFk);

    int deletePsWbrpt(@Param("list") List<Long> psWbrptOid);
}
