package com.jln.system.web.action.erp.material.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * ERP物料关联表
 * </p>
 *
 * @author 
 * @since 2021-12-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UfcErpBMaterialRelevance extends Model<UfcErpBMaterialRelevance> {

    private static final long serialVersionUID = 1L;

    @TableId
    private Long bMaterialoid;

    /**
     * 技术状态标识（1：D,2:C,3:S,4:SC,5:PL）
     */
    private String jsztbs;

    /**
     * ID
     */
    @TableField("textID")
    private String textID;

    /**
     * 温度系数组别
     */
    @TableField("AssistantWDZB")
    private String AssistantWDZB;


    @Override
    protected Serializable pkVal() {
        return this.bMaterialoid;
    }

}
