package com.jln.system.web.action.erp.material.jopo.vo;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ERPMaterialVO {
    /**
     * 物料编码
     */
    private String FNUMBER;
    /**
     * 物料名称
     */
    private String FNAME;
    /**
     * 规格型号
     */
    private String FSPECIFICATION;

    /**
     * 物料分类名称
     */
    private Long FMaterialGroup;

    /**
     * 计量单位编码
     */
    //private ERPFBaseUnitIdVO FBaseUnitId;
    private String FBaseUnitIdFNUMBER;
    /**
     * 计量单位名称
     */
    private String FBaseUnitIdFName;

    /**
     * 版本号
     */
    private String FErpClsID;
    /**
     * 是否批次管理
     */
    private Boolean FIsBatchManage;

    /**
     * 启用日期
     * 审核日期，审核的物料才能使用
     */
    private LocalDateTime FApproveDate;
    /**
     * 停用日期
     */
    private LocalDateTime FForbidDate;
    /**
     * 建档人
     */
    private String FCreatorId;
    /**
     * 变更人
     */
    private String FModifierId;
    /**
     * 变更日期
     */
    private LocalDateTime FModifyDate;
    /**
     * 禁用状态
     */
    private String FForbidStatus;
    /**
     * 数据状态
     */
    private String FDocumentStatus;

    /**
     * 2021-12-1 新增字段
     */
    /**
     * 物料主键
     */
    private Long FMATERIALID;
    /**
     * 工艺路线号
     */
    private String FDEFAULTROUTING;
    /**
     *  是否关键件
     */
    private Boolean FIsKitting;


    /**
     * 增加工厂赋值，erp对应字段FUseOrgId
     */
    private String FUseOrgId;

    /**
     * 增加技术状态标识（1：D,2:C,3:S,4:SC,5:PL）
     */
    private String F_101_ComboJSZTBS;

    /**
     * 增加ID
     */
    private String F_101_TextID;

    /**
     * 增加温度系数组别
     */
    private String F_101_HMD_AssistantWDZB;

    /**
     * 2022-1-6 新增字段
     * 物料.PLM执行标准
     */
    private String F_101_PLMZXBZ;

    /**
     * 物料.PLM验收规范
     */
    private String F_101_PLMYSGF;

    /**
     * 物料.物料.PLM采购标准
     */
    private String F_101_PLMCGBZ;

    /**
     * 物料.PLM项目编号
     */
    private String F_101_PLMXMBH;

    /**
     * 物料.PLM型号
     */
    private String F_101_PLMXH;

    /**
     * 物料.项目编号
     */
    private Integer F_101_BaseXMBH;

    /**
     * 项目.Fnumber
     */
    private String F_101_BaseXMBHFnumber;

    /**
     * 物料.HM执行标准
     */
    private Integer F_101_BaseZXBZ;

    /**
     * 执行标准.Fnumber
     */
    private String F_101_BaseZXBZFnumber;

    /**
     * 物料.HM验收规范
     */
    private Integer F_101_BaseYSGF;

    /**
     * 验收规范.Fname
     */
    private String F_101_BaseYSGFFname;

    /**
     * 物料.HM采购标准
     */
    private Integer F_101_BaseCGBZ;

    /**
     * 采购标准.Fname
     */
    private String F_101_BaseCGBZFname;

    /**
     * 物料.采购标准编码
     */
    private String F_101_BasePropertyCGBZBM;

    /**
     * 采购标准.Fnumber
     */
    private String F_101_BaseCGBZFnumber;

    /**
     * 物料.验收规范编码
     */
    private String F_101_BasePropertyYSGFBM;

    /**
     * 验收规范.Fnumber
     */
    private String F_101_BaseYSGFFnumber;

}
