package com.jln.system.web.action.erp.organization.service;

import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.system.web.action.erp.organization.jopo.dto.ERPUserQueryDTO;
import com.jln.system.web.action.erp.organization.jopo.vo.ERPUserVO;

import java.util.List;

public interface UserService {
    /**
     * 查询ERP用户信息
     *
     * @param query
     * @return
     */
    Result<List<ERPUserVO>> queryUsers(ERPUserQueryDTO query);

    /**
     * 保存ERP用户信息
     *
     * @param users
     * @return
     */
    //Result<String> saveUsers(List<ERPUserVO> users);

    /**
     * 同步ERP用户信息
     *
     * @param query
     * @return
     */
    Result<String> syncUsers(ERPUserQueryDTO query);

    /**
     *
     * @param user
     * @return
     */
    Result selectIsuse(User user);

    Result delUser(Long userId);
}
