package com.jln.system.web.action.erp.processroute.service;

import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.system.web.action.erp.processroute.pojo.vo.BProductProcessFlowVo;
import com.jln.system.web.action.erp.processroute.pojo.vo.BStandardprocessFlowInfoVO;

import java.util.List;

public interface ProcessRouteService{

    /**
     * 同步标准工艺路线信息接口
     * @param bStandardprocessFlowInfos
     * @param user
     * @return
     */
    Result save(List<BStandardprocessFlowInfoVO> bStandardprocessFlowInfos, User user);

    /**
     * 同步产品工艺路线信息接口
     * @param bProductProcessFlowVos
     * @param user
     * @return
     */
    Result saveCpgy(List<BProductProcessFlowVo> bProductProcessFlowVos, User user);

    /**
     * 同步删除产品工艺路线信息接口
     * @param oids
     * @param user
     * @return
     */
    Result delCpgy(List<Long> oids, User user);

}
