package com.jln.system.web.action.erp.supplier.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.utils.PageParameter;
import com.jln.system.web.action.erp.supplier.entity.Supplier;
import com.jln.system.web.action.util.ERPQueryDTO;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2021-11-02
 */
public interface SupplierService  extends IService<Supplier> {

    /**
     * 查询ERP供应商分类信息
     * @return
     */
    Result<String> syncSupplierClass();

    /**
     * 查询ERP供应商信息
     * @param query
     * @return
     */
    Result<String> syncSupplier(ERPQueryDTO query);

    /**
     * mes供应商下拉列表查询
     * @param param
     * @return
     */
    Result getGyxList(PageParameter<Supplier> param);
}
