package com.jln.system.web.action.erp.ufcpswb.entity.dto;

import com.jln.system.web.action.ps.production.viewenity.PsWbGxEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class UfcPswbEntity {

    @ApiModelProperty(
            example = "排产数量",
            required = true,
            dataType = "string"
    )
    private BigDecimal pcsl;
    @ApiModelProperty(
            example = "班次编码",
            required = true,
            dataType = "string"
    )
    private String bcid;
    @ApiModelProperty(
            example = "生产设备list:如有多个，用逗号隔开（设备表主键）",
            required = true,
            dataType = "string"
    )
    private Long sblist;
    @ApiModelProperty(
            example = "人员list:如有多个，用逗号隔开(员工表主键)",
            required = true,
            dataType = "string"
    )
    private Long rylist;
    @ApiModelProperty(
            example = "人员list:如有多个，用逗号隔开(员工表主键)",
            required = true,
            dataType = "string"
    )
    private List<Long> ps_wsoids;
    @ApiModelProperty(
            example = "工序外键集合",
            required = true,
            dataType = "string"
    )
    private List<PsWbGxEntity> psWbGxEntityList;

}
