package com.jln.system.web.action.erp.ufcpswb.service.Impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.enums.QcTypeEnum;
import com.jln.common.enums.ResultCodeEnum;
import com.jln.common.exception.CustomException;
import com.jln.common.utils.EmptyUtil;
import com.jln.common.utils.PageParameter;
import com.jln.common.utils.SnowflakeIdUtils;
import com.jln.system.web.action.bm.B_Material.entity.BMaterial;
import com.jln.system.web.action.bm.B_Material.service.BMaterialService;
import com.jln.system.web.action.bm.productionline.entity.BProductionline;
import com.jln.system.web.action.bm.productionline.service.BProductionlineService;
import com.jln.system.web.action.commonweb.sysrelevance.pojo.Dto.TableDataDto;
import com.jln.system.web.action.commonweb.sysrelevance.pojo.Vo.TableDataVo;
import com.jln.system.web.action.commonweb.sysrelevance.service.SysRelevanceTableRoleService;
import com.jln.system.web.action.erp.gxbg.dto.PsWbDto;
import com.jln.system.web.action.erp.gxbg.service.UfcErpGxzydmxService;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcPsWbList;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcPsWbrptHistoryVO;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcGxzyInfo;
import com.jln.system.web.action.erp.ufcpswb.mapper.UfcPsWbMapper;
import com.jln.system.web.action.erp.ufcpswb.service.UfcPsWbService;
import com.jln.system.web.action.erp.wo.entity.UfcWogylx;
import com.jln.system.web.action.erp.wo.mapper.UfcWogylxMapper;
import com.jln.system.web.action.erp.wo.mapper.WoExpandMapper;
import com.jln.system.web.action.pp.planImport.entity.Wo;
import com.jln.system.web.action.pp.planImport.service.WoService;
import com.jln.system.web.action.ps.gwj.entity.PsWt;
import com.jln.system.web.action.ps.gwj.mapper.InspectionMapper;
import com.jln.system.web.action.ps.gwj.mapper.PsWtMapper;
import com.jln.system.web.action.ps.gwj.pojo.dto.*;
import com.jln.system.web.action.ps.gwj.pojo.vo.PsWtSaveVo;
import com.jln.system.web.action.ps.gwj.pojo.vo.TestSamplesVO;
import com.jln.system.web.action.ps.gwj.service.JobDispatchingHandleService;
import com.jln.system.web.action.ps.gwj.service.PsWtService;
import com.jln.system.web.action.ps.production.entity.PsPleq;
import com.jln.system.web.action.ps.production.entity.PsPlwm;
import com.jln.system.web.action.ps.production.entity.PsWb;
import com.jln.system.web.action.ps.production.entity.PsWs;
import com.jln.system.web.action.ps.production.pojo.vo.PsWbQuery;
import com.jln.system.web.action.ps.production.pojo.vo.PsWbrptNumberSum;
import com.jln.system.web.action.ps.production.service.*;
import com.jln.system.web.action.ps.zytl.pojo.vo.ConstructionCompleteDetailsVo;
import com.jln.system.web.action.qc.QualityInspectionWork.entity.QcBill;
import com.jln.system.web.action.qc.QualityInspectionWork.entity.QcBillmx;
import com.jln.system.web.action.qc.QualityInspectionWork.entity.QcsdtmxgetView;
import com.jln.system.web.action.qc.QualityInspectionWork.mapper.QcBillMapper;
import com.jln.system.web.action.qc.QualityInspectionWork.service.QcBillService;
import com.jln.system.web.action.qc.QualityInspectionWork.service.QcBillmxService;
import com.jln.system.web.action.qc.obj.entity.AccordingDTO;
import com.jln.system.web.action.qc.obj.entity.QcObj;
import com.jln.system.web.action.qc.obj.entity.QcObjView;
import com.jln.system.web.action.qc.obj.mapper.QcObjMapper;
import com.jln.system.web.action.qc.obj.service.QcObjService;
import com.jln.system.web.action.qc.qcRule.entity.QcRule;
import com.jln.system.web.action.qc.sample.service.QcSampleService;
import com.jln.system.web.action.sm.sm1001.entity.SysRole;
import com.jln.system.web.action.sm.user.service.SysEmployeeService;
import com.jln.ufc.web.action.ufc.pp.pojo.vo.UfcWoVo;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcSubmitFirstInspectionDTO;
import com.jln.ufc.web.action.ufc.qc.entity.UfcHmQcBill;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcStdmx;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcTyRule;
import com.jln.ufc.web.action.ufc.qc.entity.UfcQcTyRuleBill;
import com.jln.ufc.web.action.ufc.qc.mapper.UfcQcStdmxMapper;
import com.jln.ufc.web.action.ufc.qc.mapper.UfcQcTyRuleBillMapper;
import com.jln.ufc.web.action.ufc.qc.mapper.UfcQcTyRuleMapper;
import com.jln.ufc.web.action.ufc.qc.service.UfcHmBillService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.*;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.stream.Collectors;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author
 * @since 2020-02-10
 */
@Service
public class UfcPsWbServiceImpl extends ServiceImpl<UfcPsWbMapper, PsWb> implements UfcPsWbService {

    @Autowired
    private UfcPsWbMapper ufcPsWbMapper;

    @Autowired
    private JobDispatchingHandleService jobDispatchingHandleService;

    @Autowired
    private PsWbService psWbService;

    @Autowired
    private BMaterialService bMaterialService;

    @Autowired
    private BProductionlineService bProductionlineService;

    @Autowired
    private WoService woService;

    @Autowired
    private PsWsService psWsService;

    @Autowired
    private PsWtService psWtService;

    @Autowired
    private PsWtMapper psWtMapper;

    @Autowired
    private WoExpandMapper woExpandMapper;

    @Autowired
    private QcSampleService sampleService;

    @Autowired
    private QcObjService qcObjService;

    @Autowired
    private QcObjMapper qcObjMapper;

    @Autowired
    private SysRelevanceTableRoleService sysRelevanceTableRoleService;

    @Autowired
    private QcBillmxService qcBillmxService;

    @Autowired
    private QcBillService qcBillService;

    @Autowired
    private QcBillMapper qcBillMapper;

    @Autowired
    private PsPleqService psPleqService;

    @Autowired
    private PsPlwmService psPlwmService;

    @Autowired
    private SysEmployeeService sysEmployeeService;

    @Autowired
    private UfcErpGxzydmxService ufcErpGxzydmxService;

    @Autowired
    private PsTechnologicalProcessService service;
    @Autowired
    private UfcWogylxMapper ufcWogylxMapper;

    @Autowired
    private InspectionMapper inspectionMapper;

    @Autowired
    private UfcHmBillService ufcHmBillService;

    @Autowired
    private UfcQcTyRuleMapper ufcQcTyRuleMapper;

    @Autowired
    private UfcQcTyRuleBillMapper ufcQcTyRuleBillMapper;

    @Autowired
    private UfcQcStdmxMapper ufcQcStdmxMapper;

    @Override
    public Result<Page<TestSamplesVO>> cjheckQcSampleStd(CjheckQcSampleStdDto cjheckQcSampleStdDto, User user) {

        /*Integer integer = inspectionMapper.cjheckQcSampleStd(cjheckQcSampleStdDto.getQcBillFk());
        if(integer > 0){
            return new Result().toFailure("样本数据未检验完毕");
        }*/
        //更新专检检工票
        UfcHmQcBill ufcHmQcBill = new UfcHmQcBill();
        ufcHmQcBill.setSfzj(true);
        ufcHmQcBill.setQcBillOid(cjheckQcSampleStdDto.getQcBillFk());

        //更新首检工票
        if(cjheckQcSampleStdDto.getZjsj()== 1 ){

            psWtService.update(new LambdaUpdateWrapper<PsWt>()
                    .set(PsWt::getWcsjsj,LocalDate.now())
                    .set(PsWt::getSjwc,true)
                    .set(PsWt::getSjyrgh,user.getCodeing())
                    .set(PsWt::getSjyrid,user.getCodeing())
                    .set(PsWt::getSjyrmc,user.getEmployeeName())
                    .eq(PsWt::getPsWtoid,cjheckQcSampleStdDto.getPsWtoid()));
            ufcHmQcBill.setGxJyfs('S');
        }else {
            UfcHmQcBill ufcqcbill = ufcHmBillService.getById(cjheckQcSampleStdDto.getQcBillFk());

            ufcHmQcBill.setGxJyfs('Z');
            //查询未专检数量
            LambdaQueryWrapper<UfcHmQcBill> lambdaQueryWrapper = new LambdaQueryWrapper<>();
            lambdaQueryWrapper.eq(UfcHmQcBill::getGxJyfs,'Z');
            lambdaQueryWrapper.eq(UfcHmQcBill::getSfzj,false);
            lambdaQueryWrapper.eq(UfcHmQcBill::getPsWbrptFk,ufcqcbill.getPsWbrptFk());
            lambdaQueryWrapper.ne(UfcHmQcBill::getQcBillOid,cjheckQcSampleStdDto.getQcBillFk());
            int count = ufcHmBillService.count(lambdaQueryWrapper);
            if(count==0){
                PsWt psWt = psWtMapper.selectById(cjheckQcSampleStdDto.getPsWtoid());
                psWt.setZjwc(true);
                psWt.setWczjsl(LocalDateTime.now());
                psWtService.updateById(psWt);
            }
        }
            ufcHmBillService.updateById(ufcHmQcBill);
        return new Result().toSuccess();
    }

    /**
     * 工序开工下一步
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Result gxkgNext(ImportPersonnelSaveDto importPersonnelSaveDto, User user) {
        PsWbDto pswb = ufcPsWbMapper.getPsWbInfo(importPersonnelSaveDto.getPsWbFk());
        if(EmptyUtil.isEmpty(pswb.getSjkgrq())){
            return new Result().toFailure("工序未开工！");
        }
            LambdaQueryWrapper<PsWt> lambdaQueryWrapper = new LambdaQueryWrapper();
            lambdaQueryWrapper.eq(PsWt::getPsWbFk,pswb.getPsWboid());
            PsWt check = psWtService.getBaseMapper().selectOne(lambdaQueryWrapper);
            if(!EmptyUtil.isEmpty(check)){
                return new Result().setData(pswb);
            }
            //生成工票数据
            PsWt pswt = this.saveImportThePersonnel(importPersonnelSaveDto,user);

                //提交派工参数
                PsWtAdd psWtAdd = new PsWtAdd();
                PsWtSaveVo psWtSaveVo = new PsWtSaveVo();
                psWtSaveVo.setRygh(importPersonnelSaveDto.getRygh());
                psWtSaveVo.setRymc(importPersonnelSaveDto.getRymc());
                psWtSaveVo.setGwmc(importPersonnelSaveDto.getGwmc());
                psWtSaveVo.setGwid(importPersonnelSaveDto.getGwid());
                psWtSaveVo.setPcsl(new BigDecimal(1));
                psWtSaveVo.setGpid(pswt.getGpid());
                psWtSaveVo.setPgsj(LocalDateTime.now());
                psWtSaveVo.setPsWtoid(pswt.getPsWtoid());
                psWtSaveVo.setSortNumber(importPersonnelSaveDto.getSortNumber());
                psWtSaveVo.setZt("I");
                List<PsWtSaveVo> psWtSaveVos = new ArrayList<>();
                psWtSaveVos.add(psWtSaveVo);
                psWtAdd.setList(psWtSaveVos);
                psWtAdd.setPsWbOid(importPersonnelSaveDto.getPsWbFk());
                jobDispatchingHandleService.submitPsWt(psWtAdd,user);
        return new Result().setData(pswb);
    }

    private PsWt saveImportThePersonnel(ImportPersonnelSaveDto importPersonnelSaveDto, User user){
        PsWbDto psWb = this.getBaseMapper().getPsWbInfo(importPersonnelSaveDto.getPsWbFk());
            Long pswtoid = null;
            PsWt psWt = new PsWt();
            BeanUtils.copyProperties(importPersonnelSaveDto, psWt);
            //PsWb psWb = (PsWb)this.psWbService.getBaseMapper().selectById(importPersonnelSaveDto.getPsWbFk());
            if (!EmptyUtil.isEmpty(psWb)) {
                BeanUtils.copyProperties(psWb, psWt);
                psWt.setSfzj(psWb.getSfzl());
                psWt.setSfdj(psWb.getSfdl());
                if (!EmptyUtil.isEmpty(psWb.getBMaterialFk())) {
                    BMaterial bMaterial = (BMaterial)this.bMaterialService.getById(psWb.getBMaterialFk());
                    if (!EmptyUtil.isEmpty(bMaterial)) {
                        psWt.setWlid(bMaterial.getWlid());
                    }
                }

                if (!EmptyUtil.isEmpty(psWb.getBWorklineFk())) {
                    BProductionline bProductionline = (BProductionline)this.bProductionlineService.getById(psWb.getBWorklineFk());
                    if (!EmptyUtil.isEmpty(bProductionline)) {
                        psWt.setScxid(bProductionline.getScxid());
                    }
                }

                if (!EmptyUtil.isEmpty(psWb.getBWorklineFk())) {
                    Wo wo = (Wo)this.woService.getById(psWb.getWoFk());
                    if (!EmptyUtil.isEmpty(wo)) {
                        psWt.setWoid(wo.getWoid());
                    }
                }

                if (!EmptyUtil.isEmpty(psWb.getPsWsFk())) {
                    PsWs psWs = (PsWs)this.psWsService.getById(psWb.getPsWsFk());
                    if (!EmptyUtil.isEmpty(psWs)) {
                        psWt.setJhid(psWs.getJhid());
                    }
                }
                psWt.setPsPlwmFk(importPersonnelSaveDto.getPsPlwmFk());
                psWt.setGwmc(importPersonnelSaveDto.getGwmc());
                psWt.setBzid(importPersonnelSaveDto.getBzid());
                psWt.setRyid(importPersonnelSaveDto.getRygh());
                psWt.setZt("I");
                psWt.setSysLastUpd(LocalDateTime.now());
                psWt.setSysLastUpdBy(user.getEmployeeOid());
                psWt.setPcsl(new BigDecimal(0));
                psWt.setGpid(this.psWtCode("CP"));
                psWt.setPsWbFk(importPersonnelSaveDto.getPsWbFk());
                psWt.setSfsj(psWb.getFirstInspectionProcess());
                psWt.setSfzj(psWb.getSfjygx());
                pswtoid = SnowflakeIdUtils.generate();
                psWt.setPsWtoid(pswtoid);
                this.psWtService.saveOrUpdate(psWt);
            }
        return psWt;
    }

    public String psWtCode(String orderBgegin) {
//        String orderBgegin="CP";
        String orderCode = "";//表中存在的最大订单号
        Calendar cal = Calendar.getInstance();
        int day1 = cal.get(Calendar.DATE);
        String day = String.valueOf(cal.get(Calendar.DATE)).format("%02d", day1);//当前日
        int month1 = cal.get(Calendar.MONTH) + 1;
        String month = String.valueOf(cal.get(Calendar.MONTH) + 1).format("%02d", month1);//当前月
        String year = String.valueOf(cal.get(Calendar.YEAR));//当前年
        String oldday = "";//最大订单号中日
        String oldmonth = "";//最大订单号中日月
        String oldyear = "";//最大订单号中日年
        String oldnum = "";
        //查出数据库中最大的订单号
        PsWt psWt = psWtMapper.getMaxGpid();
        //截取订单号中年月日
        if (!EmptyUtil.isEmpty(psWt)) {
            orderCode = psWt.getGpid();
            oldyear = orderCode.substring(2, 6);
            oldmonth = orderCode.substring(6, 8);
            oldday = orderCode.substring(8, 10);
            oldnum = orderCode.substring(10);
        }
        //判断是否当天最新订单，进行拼接
        if (month.equals(oldmonth) && day.equals(oldday) && year.equals(oldyear)) {
            AtomicInteger val = new AtomicInteger(Integer.valueOf(oldnum));
            int nextVal = val.incrementAndGet();
            String i = String.format("%04d", nextVal);
            orderCode = orderBgegin + oldyear + oldmonth + day + i;
        } else {
            orderCode = orderBgegin + year + month + day + "0000";
        }
        return orderCode;
    }

    @Override
    public Result getPsWbInfo(Long psWboid) {
        PsWbDto pswb = ufcPsWbMapper.getPsWbInfo(psWboid);
        if(!EmptyUtil.isEmpty(pswb)){
            if(!EmptyUtil.isEmpty(pswb.getWcsjsj()) && pswb.getSjwc()){
                pswb.setSfwcsj(true);
            }
            if(!EmptyUtil.isEmpty(pswb.getWczjsl()) && pswb.getZjwc()){
                pswb.setSfwczj(true);
            }
        }
        return new Result().setData(pswb);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Result submitFirstInspection(UfcSubmitFirstInspectionDTO dto, User user) {
        boolean tyRuleBz = false;
        Long ufcQcTyRuleOid =null;
        PsWt wt = psWtService.getById(dto.getWtOid());
        if (EmptyUtil.isEmpty(wt)) {
            return new Result<>().toFailure("工票不存在！");
        }
        if (EmptyUtil.isEmpty(wt.getSfsj()) || !wt.getSfsj()) {
            return new Result<>().toFailure("该工序不需要首检！");
        }

        //查询检验规程
        QcRule rule = this.ufcPsWbMapper.getQcTyeOid(wt.getBMaterialFk(), wt.getBWorklineFk(), wt.getBStandardprocessFk(), QcTypeEnum.FIRST_INSPECTION.getValue());
        if (EmptyUtil.isEmpty(rule)) {
            //查询检验规程，去掉产线查询条件
            rule = this.ufcPsWbMapper.getQcTyeOid(wt.getBMaterialFk(),null, wt.getBStandardprocessFk(), QcTypeEnum.FIRST_INSPECTION.getValue());
            if (EmptyUtil.isEmpty(rule)) {
                //没有检验规程，查询通用规程
                rule = new QcRule();
                UfcQcTyRule ufcQcTyRule = ufcQcTyRuleMapper.getQcTyeOid(null, wt.getBWorklineFk(), wt.getBStandardprocessFk(), QcTypeEnum.FIRST_INSPECTION.getValue());
                if(EmptyUtil.isEmpty(ufcQcTyRule)){
                    ufcQcTyRule = ufcQcTyRuleMapper.getQcTyeOid(null, null, wt.getBStandardprocessFk(), QcTypeEnum.FIRST_INSPECTION.getValue());
                }
                if(EmptyUtil.isEmpty(ufcQcTyRule)){
                    return (new Result()).toFailure("请先维护对应的检验规程或通用规程再进行操作");
                }
                BeanUtils.copyProperties(ufcQcTyRule,rule);
                ufcQcTyRuleOid = ufcQcTyRule.getUfcQcTyRuleoid();
                tyRuleBz = true;
            }
        }

        PsWt wu = new PsWt();
        wu.setPsWtoid(dto.getWtOid());
        wu.setTjsjsj(LocalDateTime.now());
        wu.setSftjsj(true);
        //再次提交首检时将工票状态改为首检未完成
        wu.setSjwc(false);
        boolean b1 = psWtService.updateById(wu);
        if (!b1) {
            throw new CustomException(-1, "更新工票失败！");
        }

        //查询检验项目信息
        LambdaQueryWrapper<UfcQcStdmx> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(UfcQcStdmx::getQcStdFk,rule.getQcStdFk());
        List<UfcQcStdmx> ufcQcStdmxs = ufcQcStdmxMapper.selectList(lambdaQueryWrapper);
        BigDecimal firstCheckTheNumber = new BigDecimal(0);
        for (UfcQcStdmx ufcQcStdmx : ufcQcStdmxs) {
            //固定数抽样
            if(!EmptyUtil.isEmpty(ufcQcStdmx) && ufcQcStdmx.getCyfs().equals("F") && ufcQcStdmx.getYbsl().compareTo(firstCheckTheNumber)==1){
                firstCheckTheNumber = ufcQcStdmx.getYbsl();
            }
        }

        AccordingDTO accordingDTO = new AccordingDTO(
                wt.getPsWtoid(),
                wt.getGpid(),
                wt.getPsWbFk(),
                rule.getQcTypeFk(),
                QcTypeEnum.FIRST_INSPECTION.getValue(),
                firstCheckTheNumber
        );
        Result<Long> result1 = this.firstAccordingToPswb(accordingDTO, user);
        if (!result1.confirmSuccess()) {
            throw new CustomException(-1, "生成送检单失败！");
        }
        boolean isSfsj = true;
        Result<QcBill> result2 = this.crateQcBillByFirst(result1.getData(), rule.getQcStdFk(), user,dto.getPswboid(),isSfsj,null,tyRuleBz,ufcQcTyRuleOid);
        if (!result2.confirmSuccess()) {
            throw new CustomException(-1, "创建检验单失败！");
        }
        Result result3 = sampleService.createSampleBySingle(firstCheckTheNumber.intValue(), result2.getData(), user);
        if (!result3.confirmSuccess()) {
            throw new CustomException(-1, "创建样本失败！");
        }
        return new Result().toSuccess().setMsg("操作成功");
    }

    @Override
    public Result getPsWtOid(Long pswboid) {
        return new Result().setData(ufcPsWbMapper.getPsWtOid(pswboid));
    }

    @Override
    public Result getThePreviousPsWbNumber(Long pswboid) {
        PsWb pswb = psWbService.getById(pswboid);
        if(EmptyUtil.isEmpty(pswb)){
            return new Result().toFailure("获取工单数据失败！");
        }
        //查询上一道工单
        //Result<ProcessNodeVO> processNodeWb = psTechnologicalProcessService.getProcessNodeWb(pswb.getPsTechnologicalProcessFk(), pswb.getPsWsFk(), pswb.getGxid());
        PsWb nextpswb = ufcPsWbMapper.selectNextGx(pswboid);
        Integer nextCount = null ;
        if(!EmptyUtil.isEmpty(nextpswb)){
            //查询上一道工单合格数量
            nextCount = woExpandMapper.selectNextHgsl(nextpswb.getPsWboid());
            nextCount = nextCount == null ? 0:nextCount;
        }else{
            return new Result().toFailure("没有上一道工序");
        }
        return new Result().setData(nextCount);
    }

    @Override
    public Result<Page<UfcPsWbrptHistoryVO>> getHistory(PageParameter<Map<String, Object>> parameter) {
        Map<String, Object> data = parameter.getData();
        Page<UfcPsWbrptHistoryVO> history = null;
        try{
            history = ufcPsWbMapper.getHistory(new Page<>(parameter.getPageNum(), parameter.getPageSize()),
                    Long.parseLong(data.get("psWbFk").toString()),
                    data.get("type").toString());
        }catch (Exception e){
            throw new CustomException(-1, "查询报工列表数据失败！");
        }
        return new Result<Page<UfcPsWbrptHistoryVO>>().toSuccess(history);
    }

    @Override
    public Result getWoWgzt(List<String> wooid) {
        List<UfcWoVo> list = ufcPsWbMapper.getWoWgzt(wooid);
        return new Result().toSuccess(list);
    }

    @Override
    public Result firstAccordingToPswb(AccordingDTO accordingDTO, User user) {
        if (EmptyUtil.isEmpty(accordingDTO.getPswboid())) {
            return (new Result()).toFailure(ResultCodeEnum.MISS_PARAM);
        } else {
            QcObjView qcObjView = qcObjMapper.getGdxx(accordingDTO.getPswboid());
            if (EmptyUtil.isEmpty(qcObjView)) {
                return (new Result()).toFailure(ResultCodeEnum.LOOK_UP_TO);
            } else {
                QcObj qcObj = new QcObj();
                BeanUtils.copyProperties(qcObjView, qcObj);
                qcObj.setQcTypeFk(accordingDTO.getQctypeoid());
                qcObj.setJydms("S");
                qcObj.setQcObjoid(SnowflakeIdUtils.generate());
                qcObj.setSysLastUpd(LocalDateTime.now());
                qcObj.setSysLastUpdBy(user.getEmployeeOid());
                qcObj.setJylx(accordingDTO.getJylx());
                qcObj.setScfs("S");
                qcObj.setSjms(accordingDTO.getSjsl().toString());
                qcObj.setSjsl(accordingDTO.getSjsl());
                qcObj.setZt("E");
                qcObj.setGpid(accordingDTO.getGpid());
                qcObj.setPsWtFk(accordingDTO.getPsWtOid());
                qcObj.setWoFk(qcObjView.getWoFk());
                boolean bl = qcObjService.saveOrUpdate(qcObj);
                return bl ? (new Result()).toSuccess(qcObj.getQcObjoid()) : (new Result()).toFailure(ResultCodeEnum.CREARE_FAILURE);
            }
        }
    }

    @Override
    public Result crateQcBillByFirst(Long qcobjoid, Long qcstdoid, User user,Long pswboid,boolean isSfsj,Long pswbrptoid,boolean tyRuleBz,Long ufcQcTyRuleOid) {
        LambdaQueryWrapper<QcObj> qcObjLambdaQueryWrapper =new LambdaQueryWrapper<>();
        qcObjLambdaQueryWrapper.eq(QcObj::getQcObjoid,qcobjoid);
        QcObj qcObj = qcObjService.getOne(qcObjLambdaQueryWrapper);
        //QcObj qcObj = (QcObj)this.qcObjService.getOne((Wrapper)(new LambdaQueryWrapper()).select(new SFunction[]{QcObj::getQcTypeFk, QcObj::getJydms, QcObj::getJydxid, QcObj::getSjms, QcObj::getWlid, QcObj::getScxid, QcObj::getBzgxid, QcObj::getSjmsjldw}).eq(QcObj::getQcObjoid, qcobjoid));
        if (EmptyUtil.isEmpty(qcObj)) {
            return (new Result()).toFailure(ResultCodeEnum.LOOK_UP_TO);
        } else {
            String jydms = qcObj.getJydms();
            if (jydms.equals("S")) {
                //int count = this.qcBillService.count((Wrapper)((LambdaQueryWrapper)(new LambdaQueryWrapper()).eq(QcBill::getQcObjFk, qcobjoid)).eq(QcBill::getDel, 0));
                LambdaQueryWrapper<QcBill> qcBillLambdaQueryWrapper =new LambdaQueryWrapper<>();
                qcBillLambdaQueryWrapper.eq(QcBill::getQcObjFk,qcobjoid);
                qcBillLambdaQueryWrapper.eq(QcBill::getDel,0);
                int count = qcBillService.count(qcBillLambdaQueryWrapper);
                if (count > 0) {
                    (new Result()).toFailure(ResultCodeEnum.SYSERROR17030);
                }
            }
            Long qcBilloid = SnowflakeIdUtils.generate();
            QcBill qcBill = new QcBill();
            qcBill.setQcBilloid(qcBilloid);
            qcBill.setQcObjFk(qcobjoid);
            qcBill.setQyrq(LocalDate.now());
            qcBill.setJyrq(LocalDate.now());
            qcBill.setJyfs("Q");
            qcBill.setQcTypeFk(qcObj.getQcTypeFk());
            qcBill.setSjms(new BigDecimal(qcObj.getSjms()));
            qcBill.setSjmsjldw(qcObj.getSjmsjldw());
            qcBill.setQcObjFk(qcobjoid);
            qcBill.setZt("E");
            qcBill.setQcStdFk(qcstdoid);
            qcBill.setSysLastUpdBy(user.getEmployeeOid());
            qcBill.setSysLastUpd(LocalDateTime.now());
            boolean save = qcBillService.save(qcBill);
            if(tyRuleBz){
                UfcQcTyRuleBill  ufcQcTyRuleBill = new UfcQcTyRuleBill();
                ufcQcTyRuleBill.setUfcBillRule(SnowflakeIdUtils.generate());
                ufcQcTyRuleBill.setQcBillOid(qcBilloid);
                ufcQcTyRuleBill.setUfcQcTyRuleoid(ufcQcTyRuleOid);
                ufcQcTyRuleBillMapper.insert(ufcQcTyRuleBill);
            }
            //生成检验单扩展表数据
            UfcHmQcBill ufcHmQcBill = new UfcHmQcBill();
            ufcHmQcBill.setQcBillOid(qcBilloid);
            ufcHmQcBill.setPsWbFk(pswboid);
            ufcHmQcBill.setSfzj(false);
            if(isSfsj){
                ufcHmQcBill.setGxJyfs('S');
            }else{
                ufcHmQcBill.setGxJyfs('Z');
                ufcHmQcBill.setPsWbrptFk(pswbrptoid);
            }
            ufcHmBillService.save(ufcHmQcBill);
            if (!save) {
                return (new Result()).toFailure(ResultCodeEnum.CREARE_FAILURE);
            } else {
                Result<List<QcsdtmxgetView>> result3 = this.getQcsdtmxgetViewList(qcstdoid, user);
                if (result3.confirmSuccess() && ((List)result3.getData()).size() > 0) {
                    List<QcsdtmxgetView> qcsdtmxgetViewList = (List)result3.getData();
                    List<QcBillmx> qcBillmxList = new ArrayList();
                    Integer i = 0;
                    Iterator var13 = qcsdtmxgetViewList.iterator();

                    while(var13.hasNext()) {
                        QcsdtmxgetView qcsdtmxgetView = (QcsdtmxgetView)var13.next();
                        i = i + 1;
                        QcBillmx qcBillmx = new QcBillmx();
                        BeanUtils.copyProperties(qcsdtmxgetView, qcBillmx);
                        qcBillmx.setMxxh(i);
                        qcBillmx.setQcBillmxoid(SnowflakeIdUtils.generate());
                        qcBillmx.setQcBillFk(qcBilloid);
                        qcBillmx.setZt("E");
                        qcBillmx.setKzfs("U");
                        qcBillmx.setSysLastUpd(LocalDateTime.now());
                        qcBillmx.setSysLastUpdBy(user.getEmployeeOid());
                        qcBillmxList.add(qcBillmx);
                    }

                    this.qcBillmxService.saveBatch(qcBillmxList);
                }

                return (new Result()).toSuccess(qcBill);
            }
        }
    }

    @Override
    public Result getNextPswb(Long pswboid) {
        return new Result().setData(ufcPsWbMapper.getNextPswb(pswboid));
    }

    public Result<List<QcsdtmxgetView>> getQcsdtmxgetViewList(Long qcstdoid, User user) {
        List<Long> tableDataVos = new ArrayList();
        TableDataDto tableDataDto = new TableDataDto();
        tableDataDto.setBusinessCode("QCK021");
        Iterator var5 = user.getSysRoles().iterator();

        while(true) {
            Result data;
            do {
                if (!var5.hasNext()) {
                    List<QcsdtmxgetView> qcsdtmxgetViewList = qcBillMapper.getQcsdtmxgetViewList(qcstdoid, tableDataVos);
                    return (new Result()).toSuccess(qcsdtmxgetViewList);
                }

                SysRole role = (SysRole)var5.next();
                tableDataDto.setRoleFk(role.getSysRoleId());
                data = this.sysRelevanceTableRoleService.getTableRoleData(tableDataDto);
            } while(!data.confirmSuccess());

            Iterator var8 = ((List)data.getData()).iterator();

            while(var8.hasNext()) {
                TableDataVo item = (TableDataVo)var8.next();
                tableDataVos.add(item.getId());
            }
        }
    }


    /**
     * 生产工单——生产工单列表（不需要查询条件）
     *
     * @param page
     * @return
     */
    @Override
    public Result<Page<UfcPsWbList>> getpswblist(PageParameter<PsWbQuery> page) {
        PsWbQuery data = page.getData();
        Page<UfcPsWbList> list = ufcPsWbMapper.getpswblist(new Page<>(page.getPageNum(), page.getPageSize()), data);
        if (list.getRecords().size() > 0) {
            for (UfcPsWbList record : list.getRecords()) {
                getRySbInfo(record);
            }
        }
        return new Result<Page<UfcPsWbList>>().toSuccess(list);
    }

    @Override
    public Result<ConstructionCompleteDetailsVo> getConstructionCompleteDetailsVo(Long psWbFk) {
        if (EmptyUtil.isEmpty(psWbFk)) {
            return new Result<>().toFailure(ResultCodeEnum.MISS_PARAM);
        }
        ConstructionCompleteDetailsVo detailsVo = this.baseMapper.getConstructionCompleteDetailsVo(psWbFk);
        if (EmptyUtil.isEmpty(detailsVo)) {
            return new Result<>().toFailure("当前工单有误或已被删除!");
        }

        PsWb pswb = psWbService.getById(psWbFk);

        /*//查询工单 工艺路线
        //Wogylx wogylx = erpWogylxService.getById(pswb.getWogylxFk());
        //工序是否委外工序
        if(wogylx.getZbgx()==1){
            //查询转移合格数量
            Integer zysl = ufcErpGxzydmxService.selectMesZysl(psWbFk, null);
            detailsVo.setQualified(new BigDecimal(zysl==null? 0 : zysl));
            detailsVo.setFpsl( detailsVo.getPcsl().subtract(detailsVo.getQualified()));
        }else{

        }*/
        //1查询合格数量信息
        PsWbrptNumberSum numberSum = this.baseMapper.getPsWbrptNumberSum(psWbFk);
        if (!EmptyUtil.isEmpty(numberSum)) {
            detailsVo.setQualified(numberSum.getQualified());
            detailsVo.setFpsl(numberSum.getFpsl());
        }
        //查询出送检数量
        BigDecimal inspect = this.baseMapper.getInspect(psWbFk);
        detailsVo.setSendTheNumber(inspect);
        //2.查询出工序转移信息
        Result<UfcGxzyInfo> removal = ufcErpGxzydmxService.getProcessRemoval(detailsVo.getPsWboid());
        //是否查询下道红线
        if (removal.confirmSuccess()) {
            //填充工序转移信息数据
            detailsVo.setZysl(removal.getData().getZysl());
            detailsVo.setEmployeeName(removal.getData().getEmployeeName());
            detailsVo.setCodeing(removal.getData().getCodeing());
            detailsVo.setYwrq(removal.getData().getYwrq());

        }
        //3.查询出上道工序
        Result<String> result = service.getProcessNodeVO(detailsVo.getPsTechnologicalProcessFk(), detailsVo.getPsWsFk(), detailsVo.getGxid());
        if (result.confirmSuccess()) {
            detailsVo.setAProcess(result.getData());
        }
        //是否查询下道红线
        //4.查询出转出数据信息
        Result<UfcGxzyInfo> out = ufcErpGxzydmxService.getProcessRollOut(detailsVo.getPsWboid());
        if(out.confirmSuccess()){
            detailsVo.setRollOutName(out.getData().getEmployeeName());
            detailsVo.setRollOutCode(out.getData().getCodeing());
            detailsVo.setRollOutTime(out.getData().getYwrq());
            detailsVo.setRollOutNumber(out.getData().getZysl());
            UfcWogylx wogylx = ufcWogylxMapper.selectById(pswb.getWogylxFk());
            if(!EmptyUtil.isEmpty(wogylx) && wogylx.getZbgx()==1){
                detailsVo.setFpsl(out.getData().getZysl().subtract(out.getData().getJssl() == null ? new BigDecimal(0): out.getData().getJssl()));
                detailsVo.setQualified(out.getData().getJssl());
            }
        }
        //5.查询出下道工序
        Result<String> processNodeVO = service.getProcessNodePidVO(detailsVo.getPsTechnologicalProcessFk(), detailsVo.getPsWsFk(), detailsVo.getGxid());
        if (processNodeVO.confirmSuccess()) {
            detailsVo.setTheNextStep(processNodeVO.getData());
        }

        return new Result<ConstructionCompleteDetailsVo>().toSuccess(detailsVo);
    }

    @Override
    public BigDecimal selectHbsl(Long psWboid,Long pswbrptoid) {
        return this.getBaseMapper().selectHbsl(psWboid,pswbrptoid);
    }

    @Override
    public Result<Integer> getSubmitNumber(Long wtOid) {
        Integer integer = 0;
        LambdaQueryWrapper<QcObj> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(QcObj::getPsWtFk,wtOid);
        wrapper.eq(QcObj::getDel,0);
        List<QcObj> qcObjs = qcObjMapper.selectList(wrapper);
        if (!EmptyUtil.isEmpty(qcObjs)){
            List<Long> collect = qcObjs.stream().map(QcObj::getQcObjoid).collect(Collectors.toList());
            integer = qcBillMapper.selectCount(new LambdaQueryWrapper<QcBill>().
                    eq(QcBill::getDel, 0).in(QcBill::getQcObjFk, collect));
        }
        return new Result().toSuccess(integer);
    }

    @Override
    public Result getNextGxBg(PageParameter<Long> pswboid) {
        //获取上一道工序
        PsWb nextpswb = ufcPsWbMapper.selectNextGx(pswboid.getData());
        Map<String,Object> map = new HashMap<>();
        map.put("psWbFk",nextpswb.getPsWboid());
        map.put("type","bt");
        PageParameter<Map<String, Object>> parameter = new PageParameter<>();
        parameter.setData(map);
        parameter.setPageNum(pswboid.getPageNum());
        parameter.setPageSize(pswboid.getPageSize());
        return this.getHistory(parameter);
    }

    @Override
    public BigDecimal selectBhgsl(Long psWbFk) {
        return this.getBaseMapper().selectBhgsl(psWbFk);
    }

    @Override
    public BigDecimal selectYhbsl(Long psWboid) {
        return this.getBaseMapper().selectYhbsl(psWboid);
    }

    @Override
    public BigDecimal selectHbslById(Long psWbrptOid) {
        return this.getBaseMapper().selectHbslById(psWbrptOid);
    }

    private void getRySbInfo(UfcPsWbList record) {
        String sblist = record.getSblist();
        //生产设备是否为空
        if (!EmptyUtil.isEmpty(sblist)) {
            String[] split = sblist.split(",");
            if (split.length > 0) {
                List<PsPleq> pleqs = psPleqService.listByIds(Arrays.asList(split));
                //查询生产设备结果是否为空
                if (!EmptyUtil.isEmpty(pleqs)) {
                    StringJoiner sj = new StringJoiner(" ");
                    for (PsPleq pleq : pleqs) {
                        String mc = pleq.getCxsbmc() == null ? "" : pleq.getCxsbmc();
                        String id = pleq.getCxsbid() == null ? "" : pleq.getCxsbid();
                        sj.add(id + "|" + mc);
                    }
                    record.setSblist(sj.toString());
                }
            }
        }
        //生产人员是否为空
        String rylist = record.getRylist();
        if (!EmptyUtil.isEmpty(rylist)) {
            String[] split = rylist.split(",");
            if (split.length > 0) {
                List<PsPlwm> plwms = psPlwmService.listByIds(Arrays.asList(rylist));
                //查询生产人员结果是否为空
                if (!EmptyUtil.isEmpty(plwms)) {
                    StringJoiner sj = new StringJoiner(" ");
                    for (PsPlwm plwm : plwms) {
                        String mc = plwm.getCxrymc() == null ? "" : plwm.getCxrymc();
                        String id = plwm.getCxryid() == null ? "" : plwm.getCxryid();
                        sj.add(id + "|" + mc);
                    }
                    record.setRylist(sj.toString());
                }
            }
        }
        // 下单人
        if (!EmptyUtil.isEmpty(record.getXdrId())) {
            String empName = sysEmployeeService.getEmpNameByoid(record.getXdrId());
            record.setXdr(empName);
        }
    }


}
