package com.jln.system.web.action.erp.ufcpswb.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.common.utils.PageParameter;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcPsWbList;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcPsWbrptHistoryVO;
import com.jln.system.web.action.ps.gwj.pojo.dto.CjheckQcSampleStdDto;
import com.jln.system.web.action.ps.gwj.pojo.dto.ImportPersonnelSaveDto;
import com.jln.system.web.action.ps.gwj.pojo.dto.SubmitFirstInspectionDTO;
import com.jln.system.web.action.ps.gwj.pojo.vo.TestSamplesVO;
import com.jln.system.web.action.ps.production.entity.PsWb;
import com.jln.system.web.action.ps.production.pojo.vo.PsWbQuery;
import com.jln.system.web.action.ps.production.viewenity.PsWbList;
import com.jln.system.web.action.ps.zytl.pojo.vo.ConstructionCompleteDetailsVo;
import com.jln.system.web.action.qc.obj.entity.AccordingDTO;
import com.jln.ufc.web.action.ufc.ps.pojo.dto.UfcSubmitFirstInspectionDTO;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 
 * @since 2020-02-10
 */
public interface UfcPsWbService extends IService<PsWb> {

    Result<Page<TestSamplesVO>> cjheckQcSampleStd(CjheckQcSampleStdDto cjheckQcSampleStdDto, User user);

    Result gxkgNext(ImportPersonnelSaveDto importPersonnelSaveDto, User user);

    Result getPsWbInfo(Long psWboid);

    Result submitFirstInspection(UfcSubmitFirstInspectionDTO dto, User user);

    Result getPsWtOid(Long pswboid);

    Result getThePreviousPsWbNumber(Long pswboid);

    Result<Page<UfcPsWbrptHistoryVO>> getHistory(PageParameter<Map<String, Object>> parameter);

    Result getWoWgzt(List<String> wooid);

    Result firstAccordingToPswb(AccordingDTO accordingDTO, User user);

    Result crateQcBillByFirst(Long qcobjoid, Long qcstdoid, User user,Long pswboid,boolean isSfsj,Long pswbrptoid,boolean tyRuleBz,Long ufcQcTyRuleOid);

    Result getNextPswb(Long pswboid);

    Result<Page<UfcPsWbList>> getpswblist(PageParameter<PsWbQuery> page);

    Result<ConstructionCompleteDetailsVo> getConstructionCompleteDetailsVo(Long psWbFk);

    BigDecimal selectHbsl(Long psWboid,Long pswbrptoid);

    Result<Integer> getSubmitNumber(Long wtOid);

    Result getNextGxBg(PageParameter<Long> pswboid);

    BigDecimal selectBhgsl(Long psWbFk);

    /**
     * 查询当前工序已汇报数量(已确认:合格数量+不合格数量)
     * @param psWboid
     * @return
     */
    BigDecimal selectYhbsl(Long psWboid);

    /**
     * 查询当前汇报记录数量 ：合格数量+不合格数量
     * @param psWbrptOid
     * @return
     */
    BigDecimal selectHbslById(Long psWbrptOid);
}
