package com.jln.system.web.action.erp.ufcpswb.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcCjheckQcSampleStdDto;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcPswbEntity;
import com.jln.system.web.action.erp.ufcpswb.entity.dto.UfcWoSelectDto;
import com.jln.system.web.action.erp.ufcpswb.entity.UfcWobom;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcGwjVo;
import com.jln.system.web.action.erp.ufcpswb.entity.vo.UfcWobomVo;
import com.jln.system.web.action.ps.production.viewenity.PsWbEntity;

/**
 * <p>
 * 生产订单物料清单 服务类
 * </p>
 *
 * @author 
 * @since 2020-02-20
 */
public interface UfcWobomService extends IService<UfcWobom> {

    Result<UfcWobomVo> getWobomList(Page<UfcWobomVo> objectPage, UfcWoSelectDto data);

    Result addpswbLj(UfcPswbEntity ufcPswbEntity, User user);

    Result revokeSj(UfcCjheckQcSampleStdDto ufcCjheckQcSampleStdDto, User user);

    /**
     * 查询是否专检
     * @param wbOid
     * @return
     */
    Result getSfjygx(String wbOid);

    /**
     * 查询流程批号
     * @param wbOid
     * @return
     */
    Result getCcsn(String wbOid);
    
    Result getJybzmc(UfcGwjVo ufcGwjVo);

}
