package com.jln.system.web.action.erp.wo.mapper;

import com.jln.system.web.action.erp.gxbg.dto.GxzyErpParam;
import com.jln.system.web.action.erp.gxbg.dto.MesResultFiled;
import com.jln.system.web.action.erp.wo.entity.WoExpand;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jln.system.web.action.erp.wo.pojo.UfcErpProductDetailVo;
import com.jln.system.web.action.erp.wo.pojo.UfcErpSl;
import com.jln.system.web.action.ps.production.entity.PsWb;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author
 * @since 2021-10-29
 */
@Component("erpWoExpandMapper")
public interface WoExpandMapper extends BaseMapper<WoExpand> {

    MesResultFiled selectErpParam(@Param("psWbrptOid") Long psWbrptOid);

    String selectGcid(@Param("bFactoryFk") Long bFactoryFk);

    String selectCjid(@Param("bWorkshopFk") Long bWorkshopFk);

    GxzyErpParam selectErpGxzyParam(@Param("gxzydmxoid") Long gxzydmxoid);

    Integer selectCountBgsl(@Param("pswboid") Long pswboid);

    List<String> selectErpBgId(@Param("psWbrptoids") List<Long> psWbrptoids);

    Integer selectNextHgsl(Long psWboid);

    List<UfcErpProductDetailVo> getStartWorkNumber(@Param("wooid") Long wooid);

    List<UfcErpSl> getSl(@Param("wooid") Long wooid);

    String selectLzkh(Long pswboid);

    BigDecimal getMdgxSl(@Param("ufcErpProductDetailVo") String ufcErpProductDetailVo, @Param("wooid") Long wooid);

    String selectCcpch(Long psWbrptoid);

    PsWb selectIsMdgx(Long pswb);

    BigDecimal selectHgslByPsWb(@Param("psWboid") Long psWboid,@Param("psWbrptoid") Long psWbrptoid);
}
