package com.jln.system.web.action.mes.production.controller;

import com.jln.common.annotation.LoginUser;
import com.jln.common.entity.Result;
import com.jln.common.entity.User;
import com.jln.system.web.action.mes.production.service.UfcWorkOrderStartService;
import com.jln.system.web.action.ps.production.pojo.dto.StartWorkingNewDto;
import com.jln.system.web.action.ps.production.service.WorkOrderStartService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * @ClassName:
 * @Description:
 * @Author:三刀 Date:2020/2/10 20:27
 * Version:1.0
 **/
@RestController
@RequestMapping("/ufc/workOrderStart")
@Api(value = "生产调度管理-工位看板-工单开工",tags = "生产调度管理-工位看板-工单开工")
public class UfcWorkOrderStartController {
    @Autowired
    private UfcWorkOrderStartService ufcWorkOrderStartService; //工单登录业务层

    @ApiOperation(value = "工位机-工单开工接口",notes="工位机-工单开工接口")
    @PostMapping("/startWorkingJobNew")
    public Result startWorkingJobNew(@RequestBody StartWorkingNewDto dto, @LoginUser User user){
        return ufcWorkOrderStartService.startWorking(dto.getPsWbOid(),dto.getBz(),user,dto.getStartOne());
    }

}
