package com.jln.system.web.action.mes.qc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "ufc_storage_notice_detail")
@Builder
public class StorageDetail {
    @TableId("id")
    private Long id;

    /** 生产订单号 */
    private String orderId;
    /** 源单号 */
    private String sourceId;
    /** 流程卡号 */
    private String processCard;
    /** 批号 */
    private String batchId;
    /** 物料编码 */
    private String materialCode;
    /** 物料名称 */
    private String materialName;
    /** 规格 */
    private String size;
    /** 精度 */
    private String accuracy;
    /** 数量 */
    private Integer count;
    /** 未达标 0达标/1未达标 */
    private Integer unstandard;
    /** id号 */
    private String number;
    /** 合同号 */
    @TableField("contract_id")
    private String contractId;
    /** 客户名称 */
    private String customerName;
    /** 维护时间 */
    private LocalDateTime sysLastUpd;
    /** 维护人 */
    private Long sysLastUpdBy;
    /** 创建时间 */
    private LocalDateTime qyrq;
    /** 逻辑删除 */
    private Integer del;
    /** 主表外键 */
    private Long storageNoticeFk;

}
