package com.jln.system.web.action.mes.qc.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
@Accessors(chain = true)
@TableName(value = "ufc_storage_notice")
public class StorageNotice implements Serializable {

    @TableId("id")
    private Long id;

    /** 编码 */
    private String code;

    /** 工厂id */
    @TableField(value = "b_factory_fk")
    private Long factoryId;

    /** 车间id */
    @TableField(value = "b_workshop_fk")
    private Long workShopId;

    /** 维护时间 */
    private LocalDateTime sysLastUpd;

    /** 维护人 */
    private Long sysLastUpdBy;

    /** 创建人 */
    private Long createBy;

    /** 创建时间 */
    private LocalDateTime qyrq;

    /** 处理状态  1已处理/0未处理 */
    private Integer status;

    /** 删除状态 */
    private Integer del;

    /** 备注 */
    private String remark;
}
