package com.jln.system.web.action.mes.qc.entity.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author LongMingPu
 * @since 2022-04-01 15:37
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class NoticeListDTO {

    private Long id;

    /** 编码 */
    private String code;

    /** 工厂id */
    private Long factoryId;

    /** 车间id */
    private Long workShopId;

    /** 工厂名称 */
    private String gcmc;

    /** 车间名称 */
    private String cjmc;

    /** 维护时间 */
    private LocalDateTime sysLastUpd;

    /** 维护人 */
    private String sysLastUpdBy;

    /** 创建人 */
    private String createBy;

    /** 创建时间 */
    private LocalDateTime qyrq;

    /** 处理状态  1已处理/0未处理 */
    private Integer status;

    /** 删除状态 */
    private Integer del;

    /** 备注 */
    private String remark;

}
