package com.jln.system.web.action.mes.qc.entity.vo;

import lombok.*;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class StorageNoticeVO {

    private Long id;

    private String code;

    /** 创建时间-起 */
    private LocalDateTime qyrqQ;
    /** 创建时间-止 */
    private LocalDateTime qyrqZ;

    private Integer status;

    private LocalDateTime sysLastUpd;

    /** 维护人/创建人 */
    private Long sysLastUpdBy;

    /** 维护人/创建人(名称) */
    private String createSysEmployeeName;

    /** 工厂名称 */
    private String gcmc;

    /** 车间名称 */
    private String cjmc;

    /** 工厂id */
    private Long factoryId;

    /** 车间id */
    private Long workShopId;
}
