package com.jln.system.web.action.mes.qc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.User;
import com.jln.system.web.action.mes.qc.entity.SelectPages;
import com.jln.system.web.action.mes.qc.entity.StorageDetail;
import com.jln.system.web.action.mes.qc.entity.vo.DetailVo;
import com.jln.system.web.action.mes.qc.entity.vo.StorageDetailVO;
import com.jln.common.entity.Result;
import com.jln.system.web.action.mes.qc.entity.vo.TimeGapVO;

import java.util.List;

public interface StorageNoticeDetailsService extends IService<StorageDetail> {

    /**
     * 添加入库详情
     * @return
     */
    public Result saveDetail(List<StorageDetail> detail, User user);

    /**
     * 删除列表
     * @param ids
     * @param user
     * @return
     */
    public Result delDetail(List<Long> ids,User user);

    /**
     * 查询
     * @param detailVO
     * @return
     */
    public Result findProcessCard(StorageDetailVO detailVO);

    /**
     * 查询主表分支
     * @param detailVo
     * @return
     */
    public Result findDetail(DetailVo detailVo);
}
