package com.jln.system.web.action.mes.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jln.common.entity.Result;
import com.jln.system.web.action.mes.user.entity.SysEmployee;
import com.jln.system.web.action.mes.user.entity.SysUser;
import com.jln.system.web.action.mes.user.entity.SystemEmployee;

import java.util.List;

/**
 * <p>
 * 员工表（MES） 服务类
 * </p>
 *
 * @author
 * @since 2021-10-26
 */
public interface SysEmployeeService extends IService<SysEmployee> {

    Result<List<SysEmployee>> queryByCodes(List<String> codes);

    int updateBatch(List<SysEmployee> sysEmployeesUpdate);

    int updateBatchSystemEmployees(List<SystemEmployee> systemEmployeesUpdate);

    int updateBatchSysUser(List<SysUser> sysUsersUpdate);

    List<SysEmployee> selectAll();

    int delSysUser(Long userId);

    int delSystemEmployees(Long userId);

    int delSysEmployees(Long userId);

    int delEmployeesOrganize(Long userId);
}
