CREATE TABLE `ufc_storage_notice` (
  `id` bigint(20) NOT NULL,
  `b_factory_fk` bigint(20) NOT NULL COMMENT '工厂外键',
  `b_workshop_fk` bigint(20) NOT NULL COMMENT '车间外键',
  `sys_last_upd` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '维护时间',
  `sys_last_upd_by` bigint(20) DEFAULT NULL COMMENT '维护人',
  `create_by` bigint(20) DEFAULT NULL,
  `qyrq` datetime NOT NULL COMMENT '创建时间',
  `status` int(1) DEFAULT '0' COMMENT '状态',
  `del` int(1) DEFAULT '0' COMMENT '删除标记',
  `code` varchar(255) DEFAULT NULL COMMENT '通知单号',
  `remark` varchar(255) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE `ufc_storage_notice_detail` (
  `id` bigint(20) NOT NULL,
  `order_id` varchar(50) DEFAULT NULL COMMENT '生产订单号',
  `source_id` varchar(50) DEFAULT NULL COMMENT '源单号',
  `process_card` varchar(255) DEFAULT NULL COMMENT '流程卡号',
  `batch_id` varchar(255) DEFAULT NULL COMMENT '批号',
  `material_code` varchar(255) DEFAULT NULL COMMENT '物料编码',
  `material_name` varchar(255) DEFAULT NULL COMMENT '物料名称',
  `size` varchar(255) DEFAULT NULL COMMENT '规格',
  `accuracy` varchar(255) DEFAULT NULL COMMENT '精度',
  `count` int(20) DEFAULT NULL COMMENT '数量',
  `unstandard` int(20) DEFAULT NULL COMMENT '未达标',
  `number` varchar(255) DEFAULT NULL COMMENT 'id号',
  `contract_id` varchar(11) DEFAULT NULL COMMENT '合同号',
  `customer_name` varchar(255) DEFAULT NULL COMMENT '客户名称',
  `sys_last_upd` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '维护时间',
  `sys_last_upd_by` varchar(255) DEFAULT NULL COMMENT '维护人',
  `qyrq` datetime DEFAULT NULL COMMENT '创建时间',
  `del` int(1) DEFAULT '0',
  `storage_notice_fk` bigint(20) DEFAULT NULL COMMENT '主表外键',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `sys_resources` (`sys_resources_id`, `resources_code`, `resources_name`, `resources_pid`, `icon`, `resources_type`, `sort_num`, `open_mode`, `url`, `del`, `button_fk`, `allowediting`, `configurable`, `system_type`, `see_type`, `workstation`, `workflow_resources`, `bus_table_en_name`, `bus_table_pk_field`, `menu_type`, `product_id`, `del_pid`) VALUES ('100001819', 'ufcQC0201', '入库通知管理', '100000000000000000', 'iconwuliaoguanli', '0', '6950', '0', '/ufcQC0201', '0', NULL, b'0', NULL, '1', '0', b'0', b'0', NULL, NULL, NULL, NULL, NULL);