CREATE TABLE `ufc_lm_business_type` (
  `ufc_lm_business_type_oid` bigint(20) NOT NULL COMMENT '业务分类主键',
  `ufc_lm_business_code` varchar(255) DEFAULT NULL COMMENT '业务分类编号',
  `ufc_lm_business_name` varchar(255) DEFAULT NULL COMMENT '业务分类名称',
  `sys_last_upd` datetime DEFAULT NULL COMMENT '维护时间',
  `sys_last_upd_by` bigint(20) DEFAULT NULL COMMENT '维护人',
  `sys_created` datetime DEFAULT NULL COMMENT '创建时间',
  `sys_created_by` bigint(20) DEFAULT NULL COMMENT '创建人',
  `del` bit(1) DEFAULT b'0' COMMENT '删除标志',
  `tybz` bit(1) DEFAULT b'0' COMMENT '停用标志',
  PRIMARY KEY (`ufc_lm_business_type_oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='业务分类';

CREATE TABLE `ufc_lm_business_type_middel` (
  `ufc_lm_business_type_middel_oid` bigint(20) NOT NULL COMMENT '中间表主键',
  `yw_fk` bigint(20) NOT NULL COMMENT '业务外键',
  `ufc_lm_business_type_fk` bigint(20) NOT NULL COMMENT '业务类型外键',
  PRIMARY KEY (`ufc_lm_business_type_middel_oid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='业务类型和业务中间表';

-- 添加业务分类菜单
INSERT INTO `sys_resources`(`sys_resources_id`, `resources_code`, `resources_name`, `resources_pid`, `icon`, `resources_type`, `sort_num`, `open_mode`, `url`, `del`, `button_fk`, `allowediting`, `configurable`, `system_type`, `see_type`, `workstation`, `workflow_resources`, `bus_table_en_name`, `bus_table_pk_field`) VALUES (900000000000000002, 'ufcLM0108', '业务分类', 1000001400002, '', 0, 100, '0', '/ufcLM0108', 0, NULL, b'0', b'0', 1, 0, b'0', NULL, NULL, NULL);